=== seahorse-1.0 ===

2007-03-12  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * src/seahorse-gpg-options.c: Disable building with GPG2
    * configure.in:
    * NEWS: 
    * README: Version 1.0

2007-03-11  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-manager.c: Fix crash with empty clipboard paste.
    Fixes 417207.
    
2007-03-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h: Fix problem where processes launched from 
    seahorse-agent didn't get proper environment. Fixes bug #415808

2007-03-06  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in.in: Remove Application from categories and
    make sure we are providing valid desktop files.  (GNOME Goal)

2007-03-02  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c: Fix localization.
    Patches from Nickolay V. Shmyrev.  Fixes bug #408774 #414078

2007-02-26  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/Makefile.am: Fixes building on multiple cores.
    Patch from Gilles Dartiguelongue.  Fixes bug #411834

=== seahorse-0.9.92 ===

2007-02-24  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: Version 0.9.92

2007-02-20  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-delete.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-key-manager.c:
    * plugins/nautilus/seahorse-tool.c: Fix ngettext usage.  Patch from 
    Nickolay V. Shmyrev.  Fixes bug #408786


2007-02-20  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-actions.c: Fix crash when using GPG2
    Patch from Sebastian Dröge. Fixes bug #410193

2007-02-18  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-delete.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-ssh-upload.c:
    * src/seahorse-expires.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-revoke.c:
    * src/seahorse-keyserver-sync.c:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/gedit/Makefile.am:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-validity.c: Fix various localization problems. 
    Patches from Nickolay V. Shmyrev.  Fixes bug #408774


2007-02-15  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-ssh-upload.glade: Add translatable property to label.
    Fixes bug #408335

2007-02-13  Nate Nielsen  <nielsen@memberwebs.com>

   * libseahorse/seahorse-gpg-options.c: Fix crash when changing gpg.conf
   options. Patch by Saleem Abdulrasool. Fixes bug #406337

2007-02-13  Nate Nielsen  <nielsen@memberwebs.com>

   * libseahorse/seahorse-passphrase.c: Add missing parentheses.
   Patch by Saleem Abdulrasool

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

   * configure.in: Bump version number

=== seahorse-0.9.91 ===

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * NEWS:
    * README: Version 0.9.91

2007-02-09  Adam Schreiber  <sadam@clemson.edu>
    
    * src/seahorse-gkeyring-source.c:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-gkeyring-operation.c:
    * NEWS:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-ssh-source.h: Change usage of "keyring" to 
    "key ring" for user visible messages not refering to gnome-keyring.


2007-02-08  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in
    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-io.c:
    * agent/seahorse-agent.h:
    * libseahorse/seahorse-gpg-options.c: Fixes for agent interoperability
    with GPG2. Patch from Alon Bar-Lev. Fixes bug #375062

2007-02-04  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-keyserver-sync.c:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-ldap-source.c: Fix typo and separate 
    user visible "keyserver" into two words.  Change additional uses of 
    "syncing". Fixes bug #404386

2007-01-31  Adam Schreiber  <sadam@clemson.edu>

    * help/C/seahorse.xml:
    * src/seahorse-key-manager.c: Remove repetitive use of key in menu.
    Fixes bug #396080 
    * help/C/seahorse.xml: Fix typo. Fixes bug #402856
    * src/seahorse-sign.c:
    * src/seahorse-pgp-generate.glade:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-sign.glade:
    * src/seahorse-key-manager.c:
    * plugins/nautilus/seahorse-tool.c:
    * agent/seahorse-agent-main.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-signer.glade:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-prefs.glade:
    * daemon/seahorse-daemon.c: Fix various string errors. 
    Fixes bug #391666
    * help/C/seahorse.xml:
    * plugins/applet/docs/C/seahorse-applet.xml: Fix build due to 
    gnome-doc-utils change.  Patch from Joseph Sacco. Fixes bug #402921

2007-01-27  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c: Fix crasher during symmetric encryption
    Fixes bug #396009
 
2007-01-25  Nate Nielsen  <nielsen@memberwebs.com>

	* libseahorse/seahorse-add-keyserver.glade:
	* libseahorse/seahorse-secure-entry.c:
	* src/seahorse-add-uid.glade:
	* src/seahorse-change-passphrase.glade:
	* src/seahorse-gkeyring-item-properties.glade:
	* src/seahorse-key-manager.glade:
	* src/seahorse-keyserver-search.glade:
	* src/seahorse-multi-encrypt.glade:
	* src/seahorse-pgp-generate.glade:
	* src/seahorse-revoke.glade:
	* src/seahorse-ssh-generate.glade:
	* src/seahorse-ssh-key-properties.glade:
	* src/seahorse-ssh-upload.glade: Get invisible character from 
	GtkEntry, remove hard coded invisible char in glade. 
	Patch by Vitaliy Ischenko. Fixes bug #393218

2007-01-11  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-gkeyring-item-properties.c: Fix showing passwords.
    Patch by Sertaç Ö. Yıldız.  Fixes bug #393366

=== seahorse-0.9.10 ===

2007-01-04  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS: 
    * README: Version 0.9.10
    * configure.in: Bump version number

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-gkeyring-operation.c:
    * src/seahorse-gkeyring-source.c: Fix assertion when no keyring exists.
    Fixes bug #391699

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * libseahorse/seahorse-gtkstock.c:
    * pixmaps/Makefile.am:
    * pixmaps/scaleable: (moved from)
    * pixmaps/scalable: (moved to)
    * pixmaps/scalable/Makefile.am: Move 'scaleable' pixmaps directory 
    to 'scalable'. Fixes bug #391700
	
2006-12-30  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c: Add check for remote key.
    Fixes bug #363350

2006-12-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c: Fix idle callback that was 
    repeatedly loading keys. Fixes bug #387402

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: Add strikethrough for expired, 
    revoked, disabled keys. Patch by Adam Schreiber. Fixes bug #357323
    
2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c:
    * libseahorse/Makefile.am:
    * libseahorse/eggtrayicon.c (removed):
    * libseahorse/eggtrayicon.h (removed): Use GtkStatusIcon from 
    GTK 2.10. Patch by chpe. Fixes bug #349286

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-main.c:
    * daemon/seahorse-daemon.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/nautilus/seahorse-tool.c: Use GOption for parsing command 
    line arguments. Fixes bug #336146
    * configure.in:
    * INSTALL: Update libgnome dependency for seahorse

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-main.c:
    * daemon/seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-unix-signal.c:
    * libseahorse/seahorse-unix-signal.h: Stop copious polling in the background 
    Fixes bug #354432

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-keyset.c: Fix problem with not refreshing after
    deleting or adding keys. Fixes bug #388318
    * libseahorse/seahorse-key.c: Null check

2006-12-19  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * po/LINGUAS(added): GNOME PO LINGUAS goal. Fixes #338730

=== seahorse-0.9.9 ===

2006-12-19  Nate Nielsen  <nielsen@memberwebs.com>

    * README:
    * NEWS:
    * plugins/applet/docs/Makefile.am: Version 0.9.9
    * configure.in: Update version number
  
2006-12-18  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-pgp-private-key-properties.glade:
    *  src/seahorse-ssh-generate.glade: Make labels translatable.
    Patch from milo_casagrande@yahoo.it. Fixes #387293
    
2006-12-14  Nate Nielsen  <nielsen@memberwebs.com>

	* libcryptui/cryptui-key-store.c: Fix crasher when filtering keys
	Fixes bug #376729
	
2006-12-11  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c: Update status icon when agent 
    is first loaded.

2006-12-11  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-main.c:
    * daemon/seahorse-daemon.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h: Fix reading of gconf keys for daemons
    after forking. See bug #384781

2006-12-11  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * data/seahorse.schemas.in: Add ability to hide tray icon for cached
    secrets. Fixes bug #324674

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * libseahorse/seahorse-unknown-source.c: Fix crasher in the agent 
    when listing a 'transient' key in the cache.

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c: Fix ssh agent hang when used as a simple
    daemon (swap sockets proxy). Better warnings when incoming data is 
    invalid. 

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Properly start seahorse-agent
    from preferences, now that it's a different binary.

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-entry.c:
    * libseahorse/seahorse-secure-memory.c: Fix problems with secure entry
    sometimes corrupting non paged memory blocks. 

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent.c:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Change 'use-agent' gpg.conf setting
    from the preferences rather than the agent itself.

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-io.c:
    * agent/seahorse-agent-main.c:
    * agent/seahorse-agent.1:
    * agent/seahorse-agent.h: Add agent option to allow requests to 
    come from any display. 

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

	* agent/Makefile.am:
	* agent/seahorse-agent-main.c (added):
	* agent/seahorse-agent.1 (added):
	* daemon/Makefile.am:
	* daemon/seahorse-daemon.1:
	* daemon/seahorse-daemon.c: Split apart seahorse-agent and 
	seahorse-daemon into different processes similar to described on 
	the mailing list.

2006-12-09  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui.pc.in:
    * plugins/nautilus/Makefile.am: Fix problem with ignoring 
    --datarootdir. Patch from Christopher Taylor. Fixes #354245.
    * plugins/applet/seahorse-applet.c: Fix compile warning.

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c: Fix critical warnings when closing 
    window or deleting a key. Fixes #358697, #362711

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-context.c: Fix bad arguments to 
    g_idle_add_full

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-add-subkey.c:
    * libseahorse/seahorse-pgp-key-op.c: Fix Add subkey dialog.

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-add-subkey.c:
    * libseahorse/seahorse-pgp-key-op.c: Fix Add subkey dialog.
    Fixes #382330

=== seahorse-0.9.8 ===

2006-12-03  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: 
    * plugins/applet/docs/Makefile.am: Version 0.9.8
    * configure.in: Bump version number

2006-11-28  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-sync.c: Remove unnecessary warning when 
    built without LDAP support. Fixes #374257

2006-11-24  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/seahorse-daemon.c: Add option to seahorse-daemon to exec
    another process once it forks. This allows chaining into startup.

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c: Other initialization fixes.
    * daemon/seahorse-daemon.c: Quit properly when we get a signal 
    during initialization. 

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/seahorse-daemon.c: Make SSH proxy print out environment 
    variables when requested. 

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-operation.c:
    * src/seahorse-pgp-generate.c: Make new key passphrase prompts 
    be consistent. Fixes #377938

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-ssh-generate.glade: Hook up help button. Patch by
    milo_casagrande@yahoo.it. Fixes #376098
    
2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * AUTHORS:
    * help/C/seahorse.xml: 
    * src/seahorse-key-manager.c: Update to the user manual by 
    milo_casagrande@yahoo.it. Fixes #376098
    
2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-generate.glade: Make PGP generate dialog 
    be consistent with SSH one. Fixes #376707

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-delete.c: Don't prompt when deleting each key when 
    deleting public keys. Fixes bug #

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c:
    * src/seahorse-gkeyring-item.c:
    * src/seahorse-key-manager.c: Show valid keys on the trusted tab. 
    Also fix usage of SKEY_FLAG_IS_VALID. Fixes bug #369536

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-results.glade: Change default window size
    * libseahorse/seahorse-progress.c: Show progress in keyserver search
    * libseahorse/seahorse-hkp-source.c: 
    * src/seahorse-keyserver-results.c: Fix problem with 'No matching keys
    found' when syncing. Fixes #369616

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c:
    * plugins/applet/seahorse-applet.c:
    * plugins/epiphany/seahorse-extension.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus/seahorse-tool.c: Show UIDs in the recipient
    selection dialog. Fixes bug #371636

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-memory.c: Secure memory reallocation
    fixes. Fixes bug #371666

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Describe part of key being
    exported in UI strings. Fixes bug #372099
    
2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * acinclude.m4:
    * configure.in:
    * Makefile.am: Don't set seahorse-daemon setuid when not needed 
    to run mlock().

2006-11-06  Adam Schreiber  <sadam@clemson.edu>

    * help/ChangeLog: Added file for translation changes
    for the manual 
    * help/it: Added translation files (see the above file)

=== seahorse-0.9.7 ===

2006-11-05  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: Version 0.9.7
    * configure.in: Bump version number

2006-11-05  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c: Change 'password' to 'passphrase'
    Fixes bug #369874

2006-11-02  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-unknown-source.c:
    * plugins/applet/seahorse-applet.c:
    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-gkeyring-operation.c:
    * src/seahorse-gkeyring-source.c:
    * src/seahorse-key-properties.c
    * src/seahorse-key-manager.c: Cleanup the key loading and searching code.
    Don't unnecessary remove keys from context. Fixes bug #363282

2006-11-01  Nate Nielsen  <nielsen@memberwebs.com>

	* src/seahorse-ssh-upload.glade: Remove wrapped text since we 
	do our own wrapping. 
	* src/seahorse-ssh-upload.c: Image no longer present.

2006-11-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ldap-source.c: Stop using some deprecated
    functions. Fixes #351969

2006-11-01  Nate Nielsen  <nielsen@memberwebs.com>

    * help/C/seahorse.xml:
    * src/seahorse-key-manager.c: Change 'Backup' to 'Back up'
    Fixes #368748

2006-10-31  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-gkeyring-item.c:
    * src/seahorse-gkeyring-source.c: Don't retrieve secrets from 
    gnome-keyring unless necessary. This prevents the cascade of prompts.
    Only works with CVS builds of gnome-keyring (0.7.0+)

2006-10-29  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/applet/Makefile.am: Install to lib/seahorse instead 
    of libexec. Patch from José Carlos García Sogo. Fixes #366749

2006-10-26  Adam Schreiber  <sadam@clemson.edu>

    * INSTALL: Update optional dependencies.

2006-10-26  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * Makefile.am:
    * NEWS:
    * README: Version 0.9.6 and distcheck fixes
    * configure.in: Increment version number

2006-10-26  Nate Nielsen  <nielsen@memberwebs.com>

	* plugins/nautilus-ext/seahorse-nautilus.c: Don't show seahorse
	context menu items on desktop items like computer or trash.
	Patch by Gilles Dartiguelongue
	* data/seahorse.schemas.in: Change default for nautilus plugin 
	NOT to ascii armor the files it encrypts.

2006-10-24  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * plugins/epiphany/Makefile.am: Changed installation directory 
    to something make distcheck could handle.

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>

	* data/seahorse.schemas.in: Revert default to TRUE for key sharing. 
	See #355378

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>

	* libseahorse/seahorse-ssh-source.c: Fix crasher when generating SSH key.
	Fixes #364081

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>
	
	* configure.in: Configure properly when libnautilus-extension is not found.

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>

	* plugins/applet/seahorse-applet.c: Fix assertion when clipboard contains
	plain text. Fixes #361897 

2006-10-05  Adam Schreiber  <sadam@clemson.edu>

    * plugins/epiphany/seahorse-extension.c:
    * plugins/epiphany/mozilla/mozilla-helper.cpp: Fixed #356794

2006-09-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: 
    * src/seahorse-key-manager-store.c: Fix problem with displaying 
    duplicated UIDs on a PGP key after looking at key's properties.
    Fixes #355380

2006-09-28  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-operation.c:
    * src/seahorse-pgp-source.c: Display error when keys to import are 
    created in the future. Fixes #356302
    
2006-09-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-set.c: Don't barf when the daemon sends us 
    'added' or 'changed' signals out of order. 
    * libseahorse/seahorse-secure-memory.c: Don't try to use secure memory
    when allocating secure memory failed.
    * libseahorse/seahorse-pgp-key-op.c: When changing password and password 
    is entered wrong X number of times, then cancel operation.
    
2006-09-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-generate.glade:
    * src/seahorse-ssh-upload.c:
    * src/seahorse-ssh-upload.glade: Apply usability suggestions to 
    SSH dialogs from usability@gnome.org
     
2006-09-23 Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-ssh-source.c: Fixed setting of 
    error condition on success. Fixes #357315
    * src/seahorse-ssh-key-properties.glade:Fixed name for
    algo-label. Fixes #357316
    * libseahorse/seahorse-vfs-data.c: Changed permissions
    on created data. Fixes #357317

2006-09-20  Adam Schreiber  <sadam@clemson.edu>

    * plugins/epiphany/seahorse-extension.c: Fix segfault with context 
    menu on non-input callbacks.
    * plugins/applet/seahorse-applet.c: Fix decrypt error message. 
    * plugins/epiphany/seahorse-extension.c: Added decrypting and 
    verifying text and importing keys from a text field. Fixes #356447
    * plugins/applet/seahorse-applet.c:
    * plugins/epiphany/seahorse.ephy-extension.in.in:
    * src/seahorse-key-manager.c: Change to new website.

2006-09-19  Adam Schreiber  <sadam@clemson.edu>

    * plugins/epiphany/Makefile.am:
    * plugins/epiphany/seahorse-extension.c:
    * plugins/epiphany/mozilla/Makefile.am:
    * plugins/epiphany/mozilla/mozilla-helper.cpp:
    * plugins/epiphany/mozilla/mozilla-helper.h: Add signing of text 
    fields.

2006-09-18  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-gkeyring-source.c: Fix assertion when gnome-keyring
    doesn't have a default keyring. Fixes #356550
    
2006-09-18  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Fix building without epiphany plugin dependencies.
    Fixes 356584
    * agent/seahorse-agent-ssh.c: Fix crasher on AMD64 systems
    Fixes 356528.  Patch by Gustavo Carneiro.

2006-09-17  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Fix errors with build epiphany plugin on
    versions of GNOME newer than 2.14.0
    * plugins/epiphany/Makefile.am: Remove comment preventing 
    proper building for some users.
    * configure.in:
    * libcryptui/cryptui.h:
    * m4/epiphany.m4(added):
    * m4/gecko.m4(added):
    * plugins/Makefile.am:
    * plugins/epiphany(added):
    * plugins/epiphany/Makefile.am(added):
    * plugins/epiphany/eel-gconf-extensions.h(added):
    * plugins/epiphany/ephy-debug.h(added):
    * plugins/epiphany/seahorse-extension.c(added):
    * plugins/epiphany/seahorse-extension.h(added):
    * plugins/epiphany/seahorse.c(added):
    * plugins/epiphany/seahorse.ephy-extension.in.in(added):
    * plugins/epiphany/mozilla/Makefile.am(added):
    * plugins/epiphany/mozilla/mozilla-helper.cpp(added):
    * plugins/epiphany/mozilla/mozilla-helper.h(added):
    Initial commit of Epiphany plugin.  Allows encryption of text fields.
    #355386.  Epiphany extension code by Jean-François Rameau(jfr). 


2006-09-16  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in 
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c:
    * src/Makefile.am:
    * src/seahorse-gkeyring-item-properties.c (added):
    * src/seahorse-gkeyring-item-properties.glade (added):
    * src/seahorse-gkeyring-item.c (added):
    * src/seahorse-gkeyring-item.h (added):
    * src/seahorse-gkeyring-operation.c (added):
    * src/seahorse-gkeyring-operation.h (added):
    * src/seahorse-gkeyring-source.c (added):
    * src/seahorse-gkeyring-source.h (added):
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade:
    * src/seahorse.desktop.in.in:
    Add support for managing GNOME keyring. Fixes #356058
    * libseahorse/seahorse-secure-entry.c:
    * libseahorse/seahorse-secure-entry.h:
    * libseahorse/seahorse-secure-memory.c:
    * libseahorse/seahorse-secure-memory.h: Secure memory and entry enhancements.
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-progress.c: Better tracking of progress on status bar
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-keyset.h:
    * libseahorse/seahorse-pgp-source.c: Additional stability checks
    
2006-09-16  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.glade: Change trust labels as 
    suggested by MPT on usability list.
    
2006-09-14  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-keyset.c:
    * libseahorse/seahorse-util.c:
    * plugins/nautilus/seahorse-tool.c: Fixed crasher when signing using 
    seahorse-tool. Fixes #355723
    
2006-09-14  Adam Schreiber  <sadam@clemson.edu>

    * data/seahorse/schemas.in: Enabled key sharing by default.
    Fixes #355378

2006-09-13  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-prefs-cache.c: Don't overwrite ttl value 
    before reading it out properly. Fixes #355833
    
2006-09-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-results.glade: Use GtkStatusbar instead of 
    GnomeAppbar
    * src/seahorse-keyserver-results.glade: Use better labels, suggested
    by usability review.
    * src/seahorse-generate-select.glade: Fix conflicting mnemonics.
    * src/seahorse-pgp-private-key-properties.glade: Simplify tab heading
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-ssh-askpass.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c:
    * src/seahorse-generate-select.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Change SSH to Secure Shell as suggested by 
    Alan Horkan.
    
2006-09-12  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * src/Makefile.am: distcheck fix for new desktop.in.in files
    * NEWS:
    * README: Version 0.9.5
    * configure.in: Update version number

2006-09-11  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Allow building with gedit 2.16. Patch from Sebastian Dröge
    Fixes #355420

2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c: Add new line at the end of exported 
    SSH public keys.
    
2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/tests/Makefile.am: Add define so tests build
    Patch from Joseph Sacco. Fixes #355305
    
2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL: Updated dependency list
    
2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-transfer-operation.c:
    * libseahorse/seahorse-unknown-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h
    * plugins/nautilus/seahorse-tool-files.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-pgp-generate.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Fix operation / export / syncing problems.
    Removed some of the more dubious logic (such as async 'done' callbacks).
    Made the seahorse_util_wait_until more robust. Don't open an insane
    amount of parallel connections to remote servers. Proper calculations 
    of progress in SeahorseTransferOperation.
    
2006-09-10  Adam Schreiber  <sadam@clemson.edu>

    * plugins/gedit/Makefile.am: Require define to acknowledge instability
    of libcryptui API.

2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/Makefile.am:
    * src/seahorse-pgp-encrypted.desktop.in (removed):
    * src/seahorse-pgp-encrypted.desktop.in.in (added):
    * src/seahorse-pgp-keys.desktop.in (removed):
    * src/seahorse-pgp-keys.desktop.in.in (added):
    * src/seahorse-pgp-signature.desktop.in (removed):
    * src/seahorse-pgp-signature.desktop.in.in (added):
    * src/seahorse.desktop.in (removed):
    * src/seahorse.desktop.in.in (added): Add version to desktop
    files so bugzilla can figure out the version.

2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * HACKING:
    * NEWS:
    * README:
    * TODO: Version 0.9.4
    * configure.in: Increment version number

2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-store-manager.c: Fix crasher #355157
    in key store model. Also follow sort column from gconf.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/Makefile.am:
    * daemon/Makefile.am:
    * libcryptui/Makefile.am:
    * libcryptui/cryptui.h:
    * libseahorse/Makefile.am:
    * plugins/applet/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * src/Makefile.am: Require define to acknowledge instability
    of libcryptui API.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: Expired, revoked or disabled
    keys shouldn't be on the 'trusted' page. See #353494
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libcryptui/cryptui-keyset.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * libseahorse/seahorse-tool.c:
    * tests/dbus-test.py: Fix problem with libcryptui based programs
    getting the wrong keyid and encryption failing. 
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * seahorse-prefs.c:
    * seahorse-prefs.glade: Simplify encryption preferences.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/Makefile.am:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.ui:
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.glade (removed, hasn't been used):
    * src/seahorse-preferences.h: Move 'view column' options into 
    the 'View' menu. Remove a tab from preferences.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c: Close passphrase prompt on 
    <ESC> key press. Fixes #354332
    
2006-09-07  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Add descriptive labels and 
    make the GUI of key properties dialogs simpler. Fixes #353845
    
2006-09-04  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c: Create .ssh directory
    if it doesn't exist. Fixes #354251
    
2006-09-04  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-unknown-key.c:
    * libseahorse/seahorse-unknown-source.c:
    * src/seahorse-key-manager-store.c: Get key descriptions via keys 
    properties rather than a big #ifdef
    
2006-09-04  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/Makefile.am: Fixed problem building seahorse-tool
    Patch from Christopher Taylor. Similar to checkin on 2006-09-01 
    Fixes #354245
    
2006-09-02  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * src/seahorse-key-manager-store.c: Remove punctuation from the main 
    display and pretty up the display of email addresses and comments.
    Add a little padding between columns they don't run into each other.
    Move expander to the Name column where it makes more sense.
    
2006-09-02  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-key-store.c (removed):
    * libseahorse/seahorse-key-store.c (removed):
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Merged SeahorseKeyStore into
    SeahorseKeyManagerStore
    
2006-09-01  Abel Cheung  <abel@oaka.org>

	* configure.in: Added 'mk' to ALL_LINGUAS.

2006-09-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/Makefile.am: Make libcrypui properly link 
    to its dependencies.
    
2006-09-01  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Assorted fixes from the 
    seahorse-x509 branch.
    
2006-09-01  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/Makefile.am:
    * plugins/applet/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * src/Makefile.am: Fix build order problems with libcryptui.
    Fixes #351935
    
2006-08-31  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-sign.c: Don't sync with server unless signing 
    actually took place

2006-08-31  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-operation.c: Operation reference fixes
    
2006-08-30  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-sharing.c:
    * libseahorse/seahorse-dns-sd.c: use pgpkey-hkp for DNS SD 
    SRV record. Patch from nafallo@magicalforest.se. Fixes #353595
    
2006-08-30  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-encrypted.desktop.in: Remove unused 
    application/pgp mime type
    * libseahorse/seahorse-util.c:
    * plugins/nautilus/seahorse.xml: Make SSH key mime type 
    application/x-ssh-key
    
2006-08-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c: Fix uninitialized variable
    and comparing of paths that had extra slashes. Fixes #353306
    * libseahorse/seahorse-ssh-source.c: More fixes for building paths.
    
2006-08-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-operation.c: Cancel operation when 
    SSH password prompt is cancelled. 
    
2006-08-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key.c: Fix crasher on amd64 with negative
    array indexes. Patch by Sebastian Dröge. Fixes #352808
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key-data.c: 
    * libseahorse/seahorse-ssh-key-data.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c: 
    Also standardize internal SSH key ids on last 16 upper case 
    hex chars of fingerprint similar to PGP key ids.
    
2006-08-27  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-encrypted.desktop.in: Add application/pgp to the 
    list of mimetypes we handle. 
    
2006-08-27  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-entry.c: Change the default 
    invisible char to a bullet. [Jose Carlos Garcia Sogo]
    
2006-08-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-ssh-key.c: Fix compile warnings
    
2006-08-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-unknown-key.c:
    * src/seahorse-key-manager-store.c: Validity now displayed per UID. 
    Fixes #351836
    
2006-08-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c
    * libseahorse/seahorse-validity.c:
    * libseahorse/seahorse-validity.h: Display proper validity. Fixes #351835

2006-08-25  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key-data.c:
    * libseahorse/seahorse-ssh-key-data.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h:
    * libseahorse/seahorse-ssh-key-properties.c:
    * libseahorse/seahorse-ssh-key-properties.glade: Allow 'renaming' of 
    SSH keys. Fixes #352868
    
2006-08-24  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-keyset.c:
    * src/seahorse-key-manager.c: When selected key jumps between tabs 
    select on new tab. Fixes #352311
    
2006-08-24  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am: distcheck fix
    * NEWS:
    * README: Version 0.9.3
    * configure.in: New version
    
2006-08-23  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-agent-ssh.c: Allocate memory for SSH agent
    messages dynamically. Fixes #352364
    
2006-08-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gpg-options.c: Use g_file_xxx_contents for 
    atomic writing and reading of files. Fixes #352332
    
2006-08-22  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-cache.glade:
    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent.h: Make SSH keys show up in agent. Fixes #345990
    * libseahorse/seahorse-context.c: Minor context fixes.
    * libseahorse/seahorse-unknown-key.c: Put stock-id property in right place
    
2006-08-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-unknown-key.c:
    * libseahorse/seahorse-unknown-key.h: Added "stock-id" property 
    for looking up icon against the SeahorseKey.
    
2006-08-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-ssh-agent.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-ssh-key-data.c:
    * libseahorse/seahorse-ssh-key-data.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/nautilus/seahorse.xml:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Add support for exporting and 
    importing SSH keys. Add support for setting authorization on keys. 
    Fixes #352087, #351862
    
2006-08-20  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-ssh-agent.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-algo.c (added):
    * libseahorse/seahorse-algo.h (added):
    * libseahorse/seahorse-ssh-key-data.c (added):
    * libseahorse/seahorse-ssh-key-data.h (added):
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c: Parse our own SSH keys. This is 
    more efficient and also allows us to eventually parse files like
    ~/.ssh/authorized_keys. Also remove half-baked SSH1 (ie: RSA1) support.
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/nautilus/seahorse.xml:
    * src/seahorse-key-manager.c: Proper detection of file type before 
    trying to import a key. Helps #351862
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse.mime (removed):
    * plugins/nautilus/seahorse.keys (removed): Removed ancient mime support
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * configure.in:
    * HACKING:
    * bonobo/Makefile.am (removed):
    * bonobo/Seahorse_PGP_File_Listener.server.in.in (removed):
    * bonobo/seahorse-pgp-file-listener.c (removed): Remove the old nautilus
    context menu extension. Fixes #351874
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent-ssh.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h:
    * libseahorse/seahorse-ssh-askpass.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h:
    * libseahorse/seahorse-ssh-generate.c: Rework the SSH passphrase prompting
    Fixes #351980
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-widget.c: Don't keep key windows open when key is gone.
    * libseahorse/seahorse-widget.c: 
    * libseahorse/seahorse-widget.h: Don't destroy windows twice.
    * libseahorse/seahorse-ssh-source.c: Don't needlessly create new keys. 
    * libseahorse/seahorse-context.c: Better handling when keys go away
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-entry.c: Use the proper GtkEntry style
    Fixes #351839
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-service-source.c: Fix some critical warnings
    when filling in the 'Add Key Server' dialog.
    * libseahorse/seahorse-keyserver-control.c: Make appropriate selection 
    after deleting a key server, that was selected for publishing.
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-keyserver-results.c:
    * libseahorse/seahorse-keyserver-sync.c: When transferring keys to a key
    server transfer them individually, as that's more compatible with older
    key servers.
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-widget.c: Less crashes when glade files
    not installed properly.
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-generate.glade: HIG fix

2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * bonobo/Makefile.am:
    * daemon/Makefile.am:
    * libseahorse/Makefile.am:
    * plugins/applet/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus-ext/Makefile.am:
    * src/Makefile.am: Turn libseahorse back into a static 
    library now that we don't have shared libraries depending on it. 
    Simplifies build process and interdependencies.

2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h:
    * src/Makefile.am:
    * src/seahorse-generate-adv.c (removed):
    * src/seahorse-generate-adv.glade (removed):
    * src/seahorse-generate-adv.h (removed):
    * src/seahorse-generate-druid.c (removed):
    * src/seahorse-generate-druid.glade (removed):
    * src/seahorse-generate-druid.h (removed):
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.glade:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-pgp-generate.c:
    * src/seahorse-pgp-generate.glade: Added new PGP generate dialog 
    Fixes #351859

2006-08-18  Adam Schreiber  <sadam@clemson.edi>

    * src/seahorse-ssh-generate.glade: Hig compliance. Patch
    from chpe. Fixes #351850
    * libseahorse/seahorse-pgp-key-op.c:
    * src/seahorse-key-properties.c: Modified the trust
    combo box to use a GtkTreeModel and only present the appropriate
    options.

2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: Fix syntax error in schema
    Fixes #351833
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README:
    * configure.in: New version 0.9.2.1
    * configure.in: Update version number
    
2006-08-17  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-pgp-key-op.c:
    * src/seahorse-key-properties.c: Fixes issues with trust display
    and setting caused by homogenization with libcryptui. Fixes #350206

2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-key-manager-store.c:
    * libseahorse/seahorse-key-manager.c: Select keys after importing.
    Fixes #338287
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.ui: Remove useless 'View' menu. 
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-source.c: When importing a PGP key make
    sure to refresh imported keys synchronously. This fixes problems 
    returning the list of keys that were imported.
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-transfer-operation.c: Add proper destroy
    callback for gchar* 
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: New version 0.9.2
    * configure.in: Update version number
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-transfer-operation.c: Remove bum 
    destroy callback for gpgme_data_t. 
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-sync.c: Small fix when somehow no keys
    are found to sync. Displays '0 keys selected for syncing'
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Better messages when 
    either SSH agent or GPG agent not in order.
    
2006-08-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/tests/Makefile.am: Link properly so libcryptui
    dependencies get pulled in.
    * libcryptui/cryptui-key-store.c: Allow use of empty string 
    for 'no signer'. 
    * libcryptui/cryptui-key-list.c: Added translatable strings.
    
2006-08-13  Nate Nielsen  <nielsen@memberwebs.com>

    * Merged changes from seahorse-0-8 branch.
    
2006-08-03  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-crypto.c:
    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-unknown-key.c:
    * libseahorse/seahorse-unknown-source.c:
    * libseahorse/seahorse-unknown-source.h:
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-keyserver-sync.c: Refactor keyids. Use GQuarks 
    instead of strings. Bug #347872 
    
2006-08-03  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-io.c: When comparing DISPLAY environment
    variable in seahorse-agent, don't compare 'screennumber'. 
    Patch by Sam Morris. Bug #156306
    
2006-07-28  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-sharing.c:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade: Removed notification icon for 
    key sharing, added icon to prefs dialog.
    
2006-07-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-passphrase.c: Set cache unsensitive
    when agent is not available. Bug #347869
    
2006-07-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs-cache.c: Fix crash when starting 
    seahorse-preferences. Bug #349080
    
2006-07-27  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-sharing.c: Fix crasher when twiddling 
    gconf setting for 'sharing' on and off repeatedly. 
    Bug #348770
    
2006-07-18  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui.pc.in: Added gconf dependency.
    Bug #347868.

2006-07-18  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-service-crypto.c:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-import.c (removed):
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-signatures.c (removed):
    * plugins/applet/seahorse-applet.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/nautilus/seahorse-tool-progress.c:
    * plugins/nautilus/seahorse-tool.c:
    * src/main.c: libseahorse links libcryptui, pass off notifications to 
    the daemon where possible. Bug #339237
    
2006-07-18  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-crypto.c:
    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-notify.glade (added):
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * tests/dbus-display-notification-test.py: Added support for 
    DisplayNotification D-Bus API. Bug #339237
    
2006-07-17  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui-priv.h: Add double quotes around error
    message to fix build. 

2006-07-17  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * data/seahorse.schemas.in:
    * libcryptui/cryptui-defines.h (added):
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-chooser.h:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui-priv.h (added):
    * libcryptui/cryptui.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-signer.c: libcryptui key chooser now 
    respects proper user conf, settings, etc... Fixes #341987, #347459
    
2006-07-12  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-pgp-key.c: Fix type of length property.
    * libcryptui/.cvsignore: Add *.pc files to list.
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h: Add length property to 
    key objects.
    * configure.in: Actually check in the modified file.

2006-07-08  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui.pc.in: added -lcryptui to libs.
    * src/seahorse-pgp-private-key-properties.glade: Add 's' to name
    of the strength label so that the field is populated properly.
    * configure.in:
    * libcryptui/Makefile.am:
    * libcryptui/cryptui.pc.in(added): Publish pkg-config file
    so that other programs can find and link against libcryptui.

2006-07-06  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * Makefile.am:
    * configure.in:
    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Use DBUS to start seahorse-daemon
    and detect if it's running. Properly detect SSH and GPG agents running.
    Clean up code behind cache prefs. 

2006-07-06  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c: Don't trigger 
    gconf write during initialization. 
    
2006-07-04  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-store.c: Removed over zealous
    assertion. Fixes bug #346418
    
2006-07-02  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-tool.c: Change program name
    from seahorse, PACKAGE, to seahorse-tool.
    * src/seahorse-multi-encrypt.glade: Make entry field activate
    the default.

2006-06-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-recipients-store.c (removed):
    * libseahorse/seahorse-recipients-store.h (removed):
    * libseahorse/seahorse-recipients.c (removed):
    * libseahorse/seahorse-recipients.glade (removed):
    * libseahorse/seahorse-signer.c: Remove old API seahorse_recipients_get()
    
2006-06-27  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus-ext/seahorse-nautilus.c: Change seahorse to
    seahorse-tool. (Bug #346038)
    * libcryptui/cryptui-key-store.c: Fix fallback in
    have_selected_keys. (Bug #346040)

2006-06-25  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-ssh-key-properties.glade: Improve the
    consistency of the dialog.

2006-06-22  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.h:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Add UI for SSH agent proxy.
    Bug #341986
    
2006-06-16  Adam Schreiber  <sadam@clemson.edu>

    * data/seahorse.schemas.in: Removed bad server from
    default set.

2006-06-09  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Made panel applet respect dbus setting.

2006-06-09  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * libseahorse/seahorse-ssh-askpass.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h: Add support for saving SSH
    passwords in gnome-keyring. Bug #341986
    
2006-06-08  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * agent/Makefile.am:
    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/seahorse-daemon.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-key-properties.c: Add rudimentary but working
    SSH agent proxy support. Bug #341986
    
2006-06-07  Adam Schreiber  <sadam@clemson.edu>

    * pixmpas/22x22/Makefile.am:
    * pixmaps/22x22/seahorse-sign-ok.png(added):
    * pixmaps/22x22/seahorse-sign-ok.svg(added):
    * pixmaps/22x22/seahorse-sign-bad.png(added):
    * pixmaps/22x22/seahorse-sign-bad.svg(added): Add 
    22x22 icons for signing

2006-05-24  Adam Schreiber  <sadam@clemson.edu>

    * agent/seahorse-agent-prompt.c:
    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-check-button-control.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * src/seahorse-preferences.c: Remove deprecated 
    seahorse_check_button_control_new. Bug #338743 

2006-05-18  Adam Schreiber  <sadam@clemson.edu>
    
    * src/seahorse-generate-select.c: Make dialog activate
    on double click of items in treeview.
    
2006-05-16  Adam Schreiber <sadam@clemson.edu>

    * src/seahorse-key-properties.c: Remove extra include.

2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahors-check-button-control.c: Don't crash
    when schema isn't installed.
    
2006-05-16  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade: Double click on key
    on 'Trust' or 'Names' pages opens the key's properties (Bug #342005).

2006-06-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gpgmex-util.c: Fix typo which caused
    freeing of in use memory.
    * daemon/seahorse-service-crypto.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-op.c (removed):
    * libseahorse/seahorse-op.h (removed):
    * plugins/applet/seahorse-applet.c:
    * src/main.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-key-properties.c: Remove seahorse-op.* files.
    No longer necessary.
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * src/seahorse-key-manager.c: Show progress dialog when 
    importing keys.

2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * src/seahorse-ssh-key-properties.c: Quell warnings
    by adding appropriate headers 
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-transfer-operation.c: Don't free data 
    before import operation is complete. Bug #341261
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-default-key-control.c: Fix crash in 
    seahorse-preferences. Bug #333753
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-operation.h:
    * libseahorse/seahorse-pgp-source.c: Made import and export via
    GPGME be async. Should fix bug #341261
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-keyserver-sync.c: Remove duplicate
    code.
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * src/seahorse-key-manager.c: Fix problem with deleting a 
    single key. Fixes bug #341772
    
2006-05-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-model.c:
    * libseahorse/seahorse-key-model.h:
    * libseahorse/seahorse-key-store.c: Fix problem with multiple
    of same keys being displayed 
    
2006-05-15  Adam Schreiber  <sadam@clemson.edu>

    * daemon/seahorse-daemon.c:
    * plugins/nautilus/seahorse-pgp-preferences.c: Change PACKAGE 
    to actual program name. Fixes behavior with GNOME crash dialog.

2006-05-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/nautilus/seahorse-tool.c: Don't add '.asc' extensions
    to files, when using armor mode.
    
2006-05-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h: Remove old unused functions.
    
2006-05-13  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/seahorse-tool-files.c: Fix problem with 
    not resolving relative file names properly.
    * plugins/nautilus/seahorse-tool-progress.c: Fix problem with 
    not starting the progress window process.
    * plugins/nautilus/seahorse-tool.c: Don't offer to package
    files when signing.
    * plugins/nautilus/seahorse-tool-files.c: Cancel properly when 
    multiple files are being operated on.
    
2006-05-12  Adam Schreiber  <sadam@clemson.edu>

    * data/seahorse.schemas.in:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * src/Makefile.am:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-keyserver-sync.h(added): Added auto sync ability
    (Bug #335418)
    * libseahorse/seahorse-pgp-key-op.c: Changed error msg to use 
    unsigned int instead of int.

2006-05-09  Nate Nielsen  <nielsen@memberwebs.com>

    * AUTHORS:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.1 (added):
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-tool.1 (added): Manual pages
    Written by Michael Mende. 

2006-05-09  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/eggtrayicon.c: Patch to implement transparency 
    for notification area icons (Peter Grundström). (Bug #341171, 
    #150726)
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * daemon/seahorse-sharing.c:
    * agent/seahorse-agent-status.c: Fix the placement of popup
    menus.

2006-05-06  Adam Schreiber  <sadam@clemson.edu>

    * Makefile.am:
    * plugins/applet/seahorse-applet.c: Migrated encryption
    ops to use libcryptui and DBUS interfaces.

2006-05-03  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse.mime:
    * plugins/nautilus/seahorse.xml: Added missing extensions
    to mime types.
    
2006-05-01  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Set translation domain
    properly on GtkActionEntry's. By Takeshi AIHANA. Fixes bug #340260 

2006-04-28  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h (added):
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-ssh-askpass.c: Added checks so agent doesn't
    startup when another agent is already running. 
    
2006-04-28  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * dbus-match-keyset.py (added): Added the 'MatchKeys' DBUS API
    
2006-04-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse\seahorse-key.c:
    * libseahorse\seahorse-key.h:
    * libseahorse\seahorse-pgp-key.c:
    * libseahorse\seahorse-pgp-source.c:
    * libseahorse\seahorse-server-source.c:
    * libseahorse\seahorse-ssh-key.c:
    * libseahorse\seahorse-unknown-key.c:
    * libseahorse\seahorse-unknown-source.c: Better names for various
    key flags
     
2006-04-26  Nate Nielsen  <nielsen@memberwebs.com>
    
    * agent/seahorse-agent-cache.c: Compatibility with gnome-gpg
    * agent/seahorse-agent-prompt.c: Don't show two prompts on top 
    of each other.
    
2006-04-24  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Some polish for new 
    agent/gnome-keyring integration. 
    
2006-04-24  Nate Nielsen  <nielsen@memberwebs.com>

    * bonobo/seahorse-pgp-file-listener.c:
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-operation.h:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-tool-files.c (added):
    * plugins/nautilus/seahorse-tool-progress.c (added):
    * plugins/nautilus/seahorse-tool.c (added):
    * plugins/nautilus/seahorse-tool.h (added):
    * plugins/nautilus-ext/seahorse-nautilus.c:
    * src/Makefile.am:
    * src/main.c:
    * src/seahorse-pgp-encrypted.desktop.in:
    * src/seahorse-pgp-keys.desktop.in:
    * src/seahorse-pgp-signature.desktop.in:
    * src/seahorse-process-multiple.c (removed):
    * src/seahorse-windows.h: Build new 'seahorse-tool' for encryption 
    from nautilus/command line. Also fixes #159083
    
2006-04-24  Nate Nielsen  <nielsen@memberwebs.com>
    
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-photos.c: Drag and drop support for add 
    photo id. Patch from Jim Pharis. Bug #336021
    
2006-04-22  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/org.gnome.seahorse.service.in: Add no-daemon flag
    to dbus service activation.
    
2006-04-21  Adam Schreiber  <sadam@clemson.edu>

    * daemon/seahorse-service-crypto.c:
    * libseahorse/seahorse-import.c:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-signatures.c:
    * plugins/applet/seahorse-applet.c:
    * src/main.c: Adds the ability to attach a notification
    to a GtkWidget and attaches panel applet notifications to it.

2006-04-20  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in:
    * libseahorse/seahorse-add-keyserver.glade:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-generate-druid.glade:
    * libseahorse/seahorse-multi-encrypt.glade: Fix typos.
    Fixes from Clytie Siddall. Bug #338850
    
2006-04-20  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * seahorse-ldap-source.c: Async DNS lookups for LDAP connections
    (using libsoup). Fixes #320276
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * configure.in:
    * agent/Makefile.am:
    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent.h:
    * daemon/Makefile.am:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Add gnome-keyring support
    to the seahorse agent. Can be disabled with --disable-gnome-keyring
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c: Automatically discover 
    keys on the 'trust' page. Bug #335417
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: Map GPGME validity/trust
    enum into seahorse properly.
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * daemon/Makefile.am: Install DBUS service file in a 
    manner more friendly to packagers. Fixes #339072
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-model.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-unknown-source.c:
    * libseahorse/seahorse-unknown-source.h:
    * libseahorse/seahorse-key-properties.c: Automatically discover 
    keys in UID signatures. Bug #335417
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-key-model.c (added):
    * libseahorse/seahorse-key-model.h (added): 
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-recipients-store.c:
    * src/seahorse-key-manager-store.c: Factor out common code for 
    associating a key with a row in a GtkTreeStore
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-pgp-key.c:
    * src/seahorse-key-properties.c: Fix problem with remote
    keys not showing up properly.
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ldap-operation.c:
    * libseahorse/seahorse-transfer-operation.c:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * libseahorse/seahorse-key-manager.c:
    * libseahorse/seahorse-keyserver-sync.c: Fix bugs with the 
    key syncing and publishing.
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-progress.c: More operation related bug 
    fixes.
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-key-properties.c: Cleanup import/export/transfer
    of keys. 
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-hkp-server.c:
    * libseahorse/seahorse-gpgmex-util.c:
    * libseahorse/seahorse-gpgmex.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c: Simplify gpgme_data_t allocation
    
2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/nb.po: Update
	* po/no.po: Remove.

2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui.h:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-validity.h: Stabilize various flags
    and integer ids that we export via DBUS.
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libcryptui/cryptui-keyset.c:
    * tests/dbus-listen-keyset.py:
    * tests/dbus-test.py: Move all 'key info' related dbus methods into 
    org.gnome.seahorse.Keys
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-transfer-operation.c (added):
    * libseahorse/seahorse-transfer-operation.h (added):
    * libseahorse/seahorse-unknown-key.c (added):
    * libseahorse/seahorse-unknown-key.h (added):
    * libseahorse/seahorse-unknown-source.c (added):
    * libseahorse/seahorse-unknown-source.h (added):
    * tests/dbus-discover-test.py (added):
    * tests/dbus-import.py (added):
    * tests/dbus-listen-keyset.py (added):
    * tests/dbus-test.py (added): Add support for unknown keys and 
    the support for the 'DiscoverKeys' dbus API.
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c: Fix crasher when 
    removing keys. 
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-operation.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Simplify and cleanup the 
    operation code
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c: Fix how 
    seahorse_context_remove_key_source works.
    
2006-04-16  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c:
    * src/seahorse-key-manager.c: Make site links in the 
    About dialogs clickable.
    * help/C/seahorse.xml: Update copyright information and 
    document unexposed GConf key. 

2006-04-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-operation.c: Add license
    to seahorse-pgp-operation.c
    
2006-04-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-operation.c: Fix compilation 
    problem on x64. Fixes bug #338651
    
2006-04-14  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * README:
    * NEWS: Version 0.9.1
    * Makefile.am:
    * daemon/Makefile.am: Cleanup built files properly
    * configure.in: Update version number to 0.9.2

2006-04-14  Nate Nielsen  <nielsen@memberwebs.com>

    * autogen.sh: Require automake 1.9
    * Makefile.am:
    * configure.in:
    * xmldocs.make (removed):
    * help/Makefile.am:
    * help/seahorse.omf.in (added):
    * help/C/Makefile.am (removed):
    * help/C/seahorse-C.omf (removed):
    * help/C/seahorse.xml: 
    * plugins/applet/docs/Makefile.am:
    * plugins/applet/docs/seahorse-applet.omf.in (added):
    * plugins/applet/C/Makefile.am (removed):
    * plugins/applet/C/seahorse-applet-C.omf (removed): Migrate to 
    gnome-doc-utils. Fixes #327441    

2006-04-14  Nate Nielsen  <nielsen@memberwebs.com>

    * COPYING-LIBCRYPTUI (added):
    * configure.in: 
    * libcryptui/Makefile.am: Install libcryptui library properly
    * daemon/Makefile.am: Include missing files in tarball
    
2006-04-13  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/gedit/Makefile.am:
    * plugins/gedit/seahorse-gedit-plugin.c: Fix build of gedit 
    2.14 plugin. 
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-operation.c: Fix problem where multi
    operations aren't cleaned up properly, leading to random 
    crashes, when a signal fires on a dangling pointer.
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * src/seahorse-key-properties.c: Hide non relevant elements
    when the key is not local (ie: from a key server)
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c: Fix crasher when 
    server returns error but no text. Fixes bug #336191
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/gedit/seahorse-gedit.c: Fix crasher when decrypt
    or verify fail.
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * acinclude.m4 (added):
    * configure.in:
    * daemon/Makefile.am:
    * daemon/org.gnome.seahorse.service.in: Add DBUS activation
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * configure.in:
    * daemon/seahorse-service-crypto.c:
    * daemon/seahorse-service-crypto.xml:
    * daemon/seahorse-service.h:
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-chooser.h:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c:
    * libseahorse/seahorse-signatures.c:
    * plugins/gedit/Makefile.am:
    * plugins/gedit/seahorse-gedit-bonobo.c:
    * plugins/gedit/seahorse-gedit-plugin.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/gedit/seahorse-gedit.h:
    * tests/dbus-crypto-test.py: Make gedit plugin work via DBUS
    and remove linking to libseahorse.
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-dbus-server.c:
    * daemon/seahorse-service-crypto.c (added):
    * daemon/seahorse-service-crypto.xml (added):
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * libcryptui/cryptui-keyset.c:
    * tests/dbus-test-crypto.py (added): 
    * tests/dbus-test.py: Added DBUS service for simple text crypto 
    operations
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c: Fix memory leak in 
    seahorse_util_write_data_to_text
    * libseahorse/seahorse-pgp-operation.c: Fix problem with invalid
    progress data coming from GPGME
    * libseahorse/seahorse-passphrase.c: Don't grab keyboard when in 
    debug mode. This gets in the way. 
    * libseahorse/seahorse-operation.c: 
    * libseahorse/seahorse-operation.h: Add method for accessing 
    operation error without removing it from operation.
    
2006-04-11  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-test-ui.c: DBUS work. Bring libcryptui key chooser 
    on par with libseahorse key chooser. 
    
2006-04-11  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h: Change seahorse_pgp_key_add_photo
    filename arg to const.

2006-04-10  Nate Nielsen  <nielsen@memberwebs.com>

    * HACKING: Added a section about indentation.
    
2006-04-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c: Progress dialog while generating key.
    Patch from Jim Pharis. Bug #159083
    
2006-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.c: Fix regression with 
    expire date dialog. Patch from Jim Pharis. Bug #325239
    
2006-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse.desktop.in: Move launcher to Accessories
    
2006-04-05  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-import.c:
    * libseahorse/seahorse-signatures.c: Fix notifications to use new 
    graphics.
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade: Put event boxes back
    around photo ids so that scrolling works.

2006-04-03  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c:
    * src/seahorse-key-manager.c: Remove unnecessary rendering of pixbufs
    for about dialogs.
    *plugins/applet/seahorse-applet.c: Make the help file display.

2006-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse.png (removed):
    * pixmaps/22x22/Makefile.am:
    * pixmaps/22x22/seahorse-preferences.png (added):
    * pixmaps/22x22/seahorse-preferences.svg (added):
    * pixmaps/22x22/seahorse.png (added):
    * pixmaps/22x22/seahorse.svg (added):
    * pixmaps/48x48/Makefile.am:
    * pixmaps/48x48/seahorse-preferences.png (added):
    * pixmaps/48x48/seahorse-preferences.svg (added):
    * pixmaps/scaleable/Makefile.am:
    * pixmaps/scaleable/seahorse-preferences.png (added):
    * pixmaps/scaleable/seahorse.png:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in: New icons for seahorse and seahorse-preferences
    Fixes Bug #336661
    
2006-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gpgmex-op.c:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-key-properties.c:
    * libseahorse/seahorse-pgp-public-key-properties.glade: Make
    trust/signing changes discussed on the list. Bug #329151
    
2006-03-30  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c:
    * src/seahorse-key-manager.c: Migrated from GnomeAbout
    to GtkAbout. (Bug #336656)

2006-03-29  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-prefs.glade: Changed instance of
    agent to daemon in text. 

2006-03-25  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/Makefile.am:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-photos.c (added): Automatically resize the photos
    that are too large, automatically convert to JPEG. Fixes bug #335405
    
2006-03-24  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c: Fix gtk_tree_store warning.  
    Must end list of args with -1.

2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-ssh-operation.c: Clarify and cleanup 
    the operation code a bit. 
    
2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.glade:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c (added):
    * libseahorse/seahorse-ssh-operation.h (added):
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.glade:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-generate.c (added):
    * src/seahorse-ssh-generate.glade (added):
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Add support for SSH key generation
    
2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * seahorse-key-manager.c: Make sure 'First Time Options' 
    doesn't show itself needlessly
    
2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * src/Makefile.am:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade (removed):
    * src/seahorse-pgp-private-key-properties.glade (added): Rework the 
    private key dialog. Fixes bug# 335414
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-public-key-properties.glade: HIG tweaks 
    Patch from chpe. Fixes bug# 332663
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-operation.h: Fix build problem
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-operation.h:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-key-op.c: Added support for tracking 
    progress on GPGME operations. See Bug #159083
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Change key properties 
    from GtkWindow to GtkDialog. 
    Patch from chpe. Fixes bug# 332663

2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-signer.c:
    * src/seahorse-expires.c:
    * src/seahorse-generate-select.c: Fix a bunch of simple build and 
    runtime warnings.
    
2006-03-20  Adam Schreiber  <sadam@clemson.edu>
    
    * daemon/seahorse-sharing.c: Fixed build error and sizing
    of the sharing icon.

2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-source.c: Load PGP keys at idle time.
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.c: Hide signatures tab when 
    no signatures. Back out some changes from #329151. Display proper
    signature icons in properties. 
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/applet/GNOME_SeahorseApplet.server.in.in: 
    Use appropriate icon for the panel applet 
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-sharing.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * pixmaps/Makefile.am:
    * pixmaps/*.xcf (removed):
    * pixmaps/*.png (removed):
    * pixmaps/22x22/Makefile.am:
    * pixmaps/22x22/*.png (added):
    * pixmaps/22x22/*.svg (added):
    * pixmaps/48x48/Makefile.am:
    * pixmaps/48x48/*.png (added):
    * pixmaps/scaleable/Makefile.am:
    * pixmaps/scaleable/*.svg:
    * plugins/applet/seahorse-applet.c:
    * src/seahorse-ssh-upload.c:
    * configure.in: Add Tango style icons. 
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-sign.c: Fix build warnings
    
2006-03-18  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Fix dependency problem for avahi-client
    Patch from Joseph Sacco. Fixes bug #335039

2006-03-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-sign.svg:
    * src/seahorse-key-dialogs.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-sign.c:
    * src/seahorse-sign.glade:
    * src/seahorse-windows.h: New user interface for signing keys
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs.c: Only show keys that can sign in prefs
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-keyset.h: 
    * libseahorse/seahorse-signer.c: Add a simple method for creating a 
    keyset that watches all the signable keys, taking default key into 
    account.
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h: SeahorseWidget derives from GtkObject
    so we can track lifetime easily.
     
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-signer.glade: Remove SeahorseDefaultKeyControl
    object and add seahorse_combo_keys_* functions which work better 
    with glade interface files.
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h: Make seahorse_gconf_notify_lazy support
    any object as the lifetime parameter.
    
2006-03-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c: Fix crasher and memory leaks
    in proxy support. Bug #324312
    
2006-03-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c: Don't crash when prompting
    for passphrases without prompt string. Fixes Bug #334275
    
2006-03-10  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-hkp-source.c: Respect GNOME
    proxy settings.(Bug #324312)

2006-03-08  Adam Schreiber  <sadam@clemson.edu>

    * agent/seahorse-agent-status.c:
    * plugins/applet/seahorse-applet.c: Make windows 
    that appear have the proper image in the window selector.
    * plugins/applet/seahorse-applet.c: Make proper icon display 
    in About dialog. 

2006-03-06  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Update version number to 0.9.1

2006-03-05  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README:
    * INSTALL: Version 0.9.0
    
2005-03-05  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/Makefile.am:
    * libcryptui/Makefile.am:
    * pixmaps/Makefile.am: make distcheck fixes
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-add-keyserver.glade:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-progress.glade:
    * libseahorse/seahorse-recipients.glade:
    * libseahorse/seahorse-signer.glade:
    * src/seahorse-add-subkey.glade:
    * src/seahorse-add-uid.glade:
    * src/seahorse-change-passphrase.glade:
    * src/seahorse-expires.glade:
    * src/seahorse-generate-adv.glade:
    * src/seahorse-generate-select.glade:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-search.glade:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-multi-encrypt.glade:
    * src/seahorse-preferences.glade:
    * src/seahorse-revoke.glade:
    * src/seahorse-sign.glade:
    * src/seahorse-ssh-upload.glade: Patch from chpe to put proper 
    HIG spacing in dialogs. Bug #332663
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/applet/seahorse-applet-preferences.glade:
    * plugins/applet/seahorse-applet.c: Fix problems closing applet
    preferences dialog. Bug #332654
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h: Load initial values into checkboxes
    properly. Fixes bug #332655
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-keyset.c:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-vfs-data.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus-ext/seahorse-nautilus.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Patch from Adam Schreiber to add assertions 
    in relevant places. See #328791
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * pixmaps/Makefile.am:
    * pixmaps/seahorse-applet.png:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in: Use descriptive icon
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in:
    * plugins/applet/GNOME_SeahorseApplet.xml:
    * plugins/applet/Makefile.am:
    * plugins/applet/seahorse-applet-preferences.glade:
    * plugins/applet/seahorse-applet.c: Add option to disable clipboard 
    contents detection and updating of the panel icon.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-check-button-control.h: Build a simpler API 
    for attaching check buttons to gconf keys.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>
    
    * plugins/applet/seahorse-applet.c: Don't crash when no text on clipboard
    and encrypt or sign.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/applet/seahorse-applet.c: Only free our own SeahorseContext
    in applet.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * pixmaps/Makefile.am:
    * pixmaps/seahorse-applet-encrypted.png:
    * pixmaps/seahorse-applet-key.png:
    * pixmaps/seahorse-applet-signed.png:
    * pixmaps/seahorse-applet-text.png:
    * pixmaps/seahorse-applet-unknown.png:
    * pixmaps/seahorse-applet.xcf:
    * plugins/applet/seahorse-applet.c: Show state of clipboard contents in 
    the applet icon. Only display relevant menu items. 
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * libseahorse/seahorse-notification.c: Update libnotify support to 0.3
    
2006-02-24  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-daemon.c:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * plugins/applet/seahorse-applet.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/main.c: Some small changes to our stock icon helper functions to
    allow multiple icon tables to be loaded. 
    
2006-02-22  Adam Schreiber  <sadam@clemson.edu>

    * plugins/gedit/seahorse-gedit-bonobo.c: include 
    seahorse-pgp-key.h so the gedit plugin builds.

2006-02-22  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/gedit/seahorse-gedit-bonobo.c:
    * plugins/gedit/seahorse-gedit-plugin.c: Delay initialization of
    SeahorseContext to first usage to speed up loading of gedit.
    
2006-02-22  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-prefs.c:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/applet/GNOME_SeahorseApplet.xml:
    * plugins/applet/seahorse-applet.c: Rework of applet. Simplify props.
    Make secure memory work properly. Delay initialization till first
    operation. Style and compile fixes.
    
2006-02-19  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-pgp-key-op.c: Fix state machine for signing keys.
    Patch by Daniel Rodriguez Garcia.  (Bug #319409)

2006-02-17  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * plugins/gedit/Makefile.am:
    * plugins/gedit/seahorse-gedit-bonobo.c:
    * plugins/gedit/seahorse-gedit-plugin.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/gedit/seahorse-gedit.h:
    * plugins/gedit/seahorse-pgp.gedit-plugin.desktop.in: 
    Adapt gedit plugin to gedit 2.14 plugin API. Bug #328330
    
2006-01-31  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.glade:
    * src/seahorse-key-properties.c:
    * src/seahorse-expires.glade:
    * src/seahorse-expires.c: Fixes expiration dialogs
    and makes data labels selectable. (Bug #325239) 
    (Bug #329298)    

2006-01-30  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.glade: Correct 
    visibility and labels. (Bug #329151)

2006-01-29  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.glade: Correct 
    visibility and labels.(Bug #329151)

2006-01-24  Adam Schreiber  <sadam@clemson.edu>

    * HACKING: updated file
    * Makefile.am: Added MAINTAINERS and HACKING to EXTRA_DIST
    * libseahorse/seahorse-pgp-key.c: Fix critical warning
    (Bug #328472)
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in: Corrected desktop files
    (Bug #328457). Patch by Stephane Loeuillet.
    * data/seahorse.schemas.in: Made ASCII armouring the default
    (Bug # 321188)
    * src/seahorse-key-properties.c: Connected export signal to handler
    (Bug # 328469)
    * libseahorse/seahorse-pgp-key-op.c: Changed g_return_val_if_fail into
    an if statement. (Bug #328471)

2006-01-23  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Make avahi a soft dependency. 
	* configure.in: Fix problem with above commit. 
	See bug #328362
	
2006-01-23  Nate Nielsen  <nielsen@memberwebs.com>

	* Merged changes from seahorse-0-8 branch.

2006-01-23  Nate Nielsen  <nielsen@memberwebs.com>

	* seahorse-key-manager.c: Fixed warnings during Key Manager
	startup. Bug #327657
	
2006-01-22  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Made gedit plugin and panel applet soft
	dependencies.
	* libseahorse/seahorse-context.c: Builds properly without 
	keyserver support.
	
2006-01-16  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * daemon/seahorse-sharing.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-dns-sd.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Moved DNS-SD code from 
    libhowl to Avahi. Bug #318707
    
2006-01-15  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-ssh-key.c:
    * plugins/applet/seahorse-applet.c: Bug #327038
    
2006-01-11  Adam Schreiber  <sadam@clemson.edu>

    * help/C/seahorse.xml:
    * libseahorse/seahorse-widget.c:
    * plugins/applet/docs/C/seahorse-applet.xml:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Help buttons on
    key property windows now work.  The main help brings up the 
    introduction.  There have been wholesale revisions to the help
    docs.

2006-01-01  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-manager.c: Bug #325370

2005-12-29  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.glade: Bug #325269

2005-12-27  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * plugins/applet/.cvsignore:
    * plugins/applet/seahorse-applet.c:
    * plugins/applet/seahorse-applet.h:
    * plugins/applet/docs/.cvsignore:
    * plugins/applet/docs/C/.cvsignore: Code cleanups

2005-12-23  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * data/seahorse.schemas.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-import.c
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * pixmaps/Makefile.am:
    * plugins/Makefile.am:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/applet/GNOME_SeahorseApplet.xml:
    * plugins/applet/Makefile.am:
    * plugins/applet/seahorse-applet.c:
    * plugins/applet/seahorse-applet.h:
    * plugins/applet/docs/Makefile.am
    * plugins/applet/docs/C/Makefile.am:
    * plugins/applet/docs/C/legal.xmlL
    * plugins/applet/docs/C/seahorse-applet.xml:
    * plugins/applet/docs/C/seahorse-applet-C.omf: Check in encryption applet
    (Bug #322615)
    
2005-12-15  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/Makefile.am:
    * bonobo/Makefile.am:
    * daemon/Makefile.am:
    * libcryptui/cryptui.h:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-key.h:
    * plugins/gedit/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus-ext/Makefile.am:
    * src/Makefile.am: Move SKEY_FLAGS_* to libcryptui, and use new flags 
    throughout seahorse (to guarantee consistency).
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui-test-keyset.c: Support retrieving key flags. Only show 
    appropriate keys in key chooser. Support setting selection on chooser/list.
    
2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/Makefile.am:
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-chooser.h:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/tests/cryptui-test-ui.c: Beginnings of the Key Chooser

2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service.c: Proper listing of keysets even when
    no keys of that type exist 
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-test-ui.c: Added 'none-option' to key store/combo box.
    Made check boxes work. Default sort order for all UI key listings. 
    
2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/Makefile.am:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h: More DBUS/libcryptui work. Implemented caching
    of key properties client side. Added cryptui-key-list.*
    
2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c: 
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libcryptui/Makefile.am:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libcryptui/tests/Makefile.am:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c: More work on DBUS/libcryptui. Implemented
    cleaner method for accessing UIDS/Names. Added TreeStore, ComboBox. 
    
2005-12-05  Adam Schreiber  <sadam@clemson.edu>

    * daemon/Makefile.am: Fix DESTDIR bug. Patch from Christopher
    Taylor. (Bug #323292)

2005-12-04  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade: Added event box and signal 
    handler to scroll photo IDs with the scroll wheel.

2005-12-02  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-context.c: Fixed bug with not finding    
    imported keys. (Bug #313270)

2005-11-29  Adam Schreiber  <sadam@clemson.edu>

    * plugins/gedit/seahorse-gedit.c: Fixed freeing uninitialized
    pointer (Bug #322509)

2005-11-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Can now change passphrases
    for SSH keys.
    
2005-11-11  Adam Schreiber <sadam@clemson.edu>

    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-keyset.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-signer.c: Remove invalid keys from default
    key widget (Bug #321099)

2005-11-10  Adam Schreiber <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.c: Fixed Assertion in load
    due to themable icons

2005-11-07  Adam Schreiber <sadam@clemson.edu>
 
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade: Patch for primary and first
    and last buttons (Bug #317537)

2005-11-05  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * daemon/seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.glade: (removed)
    * libseahorse/seahorse-secure-entry.c:
    * src/main.c: Unify passphrase prompting across all
    the seahorse processes.
    * configure.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-ssh-askpass.c: (added)
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-key-ssh-large.png: (added)
    * pixmaps/seahorse-parts.xcf: (added)
    * src/Makefile.am:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-upload.c:
    * src/seahorse-ssh-upload.glade: Added support for uploading SSH
    public keys to another machine.
    
2005-11-04  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/Makefile.am:
    * agent/gtk-secure-entry.c: (removed)
    * agent/gtk-secure-entry.h: (removed)
    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent-secmem.c: (removed)
    * agent/seahorse-agent-secmem.h: (removed)
    * daemon/seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-secure-entry.c: (added)
    * libseahorse/seahorse-secure-entry.h: (added)
    * libseahorse/seahorse-secure-memory.c: (added)
    * libseahorse/seahorse-secure-memary.h: (added)
    * po/POTFILES.in: Cleaned up secure memory code and moved
    it into libseahorse
    
2005-10-30  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-delete.c:
    * libseahorse/seahorse-key-dialogs.h:
    * libseahorse/seahorse-key-manager.c:
    * libseahorse/seahorse-key-manager.ui:
    * libseahorse/seahorse-key-properties.c:
    * libseahorse/seahorse-ssh-key-properties.c: Integrated SSH keys better with
    the main UI. Moved delete support for keys into key sources. Cleanup.
    * src/seahorse-key-dialogs.h: 
    * src/seahorse-key-manager.c: Now builds properly without SSH support.
    * libseahorse/seahorse-operation.c: Fixed erroneous assertion
    * configure.in:
    * seahorse-agent-status.c:
    * seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-key-ssh.png:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/Makefile.am:
    * src/main.c:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Added initial support for 
    SSH keys
    
2005-10-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * src/Makefile.am:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade: Added a simpler
    properties interface for public keys. (bug #317537)
    * src/seahorse-key-properties.c: Wholesle fixing of memory leaks,
    translations problems, compilation warnings etc...
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-util.c: Fix compilation warnings
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade: Add 'trusted keys' tab
    * libseahorse/seahorse-key-store.c: Don't show key graphic for uids.
    * libseahorse/seahorse-prefs.c: 
    * src/seahorse-key-properties.c: Regressions from earlier fixes
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.c: More UI tweaking 
    
2005-10-12  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * configure.in:
    * libcryptui/*:
    * libcryptui/tests/*: Beginnings of libcryptui

2005-10-12  Nate Nielsen  <nielsen@memberwebs.com>

    * Merged changes from stable branch: seahorse-0-8
 
2005-10-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c: 
    * libseahorse/seahorse-keyset.c: Cleanup unnecessary code,
    fix memory leak. 
    * pixmaps/seahorse-person.png:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade: UI changes to Key Properties
    code by Jim Pharis (bug #317537)
    
2005-10-11  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:  Committed patches attached to
    Bug #314744 and #315084
    
2005-10-04  Pawan Chitrakar  <pchitrakar@gmail.com>

	* configure.in: Added ne in ALL_LINGUAS

2005-09-16  Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-keyserver-sync.c: Fix syncing after recent 
	refactoring

2005-09-12  Nate Nielsen <nielsen@memberwebs.com>

    * src/seahorse-context.c: Fix lookup on wrong property.
    
2005-08-31  Adam Schreiber <sadam@clemson.edu>
    
    * libseahorse/seahorse-pgp-key-op.c: Fixed multiple photo id
    appearance bug (Bug #314981)

2005-08-29  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c: Fix problems with crashing
    when signing. 
    * libseahorse/seahorse-key.c: 
    * libseahorse/seahorse-key.h: Add functions to get a short keyid.
    * INSTALL:
    * configure.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-signatures.c:
    * libseahorse/seahorse-signatures.glade:
    * pixmaps/Makefile.am:
    * plugns/gedit/seahorse-gedit.c:
    * src/main.c: Added proper support for signature notifications via 
    libnotify (bug# 314782)
    * libseahorse/seahorse-key-store.c: Show short key id in display
    * libseahorse/seahorse-default-key-control.c: Code cleanup
    * libseahorse/seahorse-op.c: Fix another crasher when signing.
    
2005-08-28  Adam Schreiber <sadam@clemson.edu>
    * libseahorse/seahorse-gpgmex-op.c:
    * libseahorse/seahorse-gpgmex-util.c:
    * libseahorse/seahorse-gpgmex.h:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-xloadimage.c: Initial Photo ID Support
    (Bug #160413)

2005-08-26  Nate Nielsen <nielsen@memberwebs.com>

    * Merged changes from STABLE branch.

2005-08-24  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/gedit/seahorse-gedit.c: Move the so-so generic block 
    detection code into the various places that use it and specialize it. 
    * configure.in: Allow DBUS support to be disabled.
    * libseahorse/seahorse-context.c: Fix bug with not returning
    key sources properly. 
    * configure.in: Require DBUS 0.35 (earlier glib bindings seem broken)
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-dbus-bindings.xml: (removed)
    * daemon/seahorse-dbus-server.c:
    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * tests/dbus-test.py: Initial rough DBUS interface implementation. 
    
2005-08-23  Adam Schreiber <sadam@clemson.edu>
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * src/seahorse-key-properties.c: Moved gpgme usage out of
    src/seahorse-key-properties. Patch from Jim Pharis
    (Bug #314132)

2005-08-22  Adam Schreiber <sadam@clemson.edu>
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expires.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c: Renaming seahorse_key_op functions to 
    seahorse_pgp_key_op (Bug #314132)
    
2005-08-20  Nate Nielsen  <nielsen@memberwebs.com> 

    * src/seahorse-key-properties.c: Fix problem with treating local keys
    as remote keys.
    * src/seahorse-key-manager-store.c: Fix crash. Don't unref key source. 
	* Merged changes from stable branch. 

2005-08-16  Nate Nielsen  <nielsen@memberwebs.com> 

	* Merged changes from stable branch. 

2005-08-15  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * seahorse-sharing.c:
    * seahorse-ldap-source.c:
    * seahorse-util.c:
    * seahorse-key-manager.c: Fix compilation warnings 
    * HACKING:
    * configure.in: Disable fatal messsages by default. Use
    the --enable-fatal-messages configure switch to enable.
    * agent/gtk-secure-entry.c: Fixed compile warning.
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * src/Makefile.am:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expire.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c:
    * src/seahorse-generate-select.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-op.c:
    * src/seahorse-key-op.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c: Moved src/seahorse-key-op.* to libseahorse
    as seahorse-pgp-key-op.*
    * HACKING:
    * configure.in:
    * main.c: Provided a way (--disable-fatal-messages) to turn off fatal 
    warnings when --enable-debug is on.
    
2005-08-14  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-context.c: Fixed problem with not importing keys
    properly after an import (bug #313270)
    * src/seahorse-key-manager.c: Updated credits.
    * src/seahorse-key-manager-store.c: Fixed drag export of keys.
    
2005-08-13  Adam Schreiber  <sadam@clemson.edu>
    * libseahorse/seahorse-key-store.c: Add back in
    creating a pixbufcellrenderer
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-sharing.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h
    * libseahorse/seahorse-widget.c:
    * pixmaps/Makefile.am:
    * src/main.c:
    * src/seahorse-key-manager.c: Made our icons themeable
    

2005-08-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-source.c: Fix some gpgme_ctx_t leakage.
    * HACKING: Updated docs
    * libseahorse/*.h: Added a little synopsis in each header.
    * libseahorse/seahorse-keyset.c: Fix bug where refreshing would cause a 
    bunch of spurious "added" or "removed" events. 
    * libseahorse/seahorse-dns-sd.c: DNS-SD now adds and removes key sources
    from the context properly. 
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-pgp-source.c: Prevent loops loading keys over and over.
    * src/seahorse-keyserver-results.c: Match remote keys properly
    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-generate-druid.c:
    * src/seahorse-key-manager-store.c: Cleanup debug printing
    * libseahorse/seahorse-widget.c: Fix problem with SeahorseWidget destroying the
    internal GtkWidget twice.
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Set initial focus to tree view
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h: Rename seahorse_multi_operation_add
    to seahorse_multi_operation_take to reflect op ownership.
    * agent/seahorse-agent-status.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-hkp-source.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-keyset.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-ldap-source.h:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-marshal.list:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.h:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-recipients-store.c:
    * libseahorse/seahorse-recipients-store.h:
    * libseahorse/seahorse-recipients.h:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-server-source.h:
    * libseahorse/seahorse-signatures.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/main.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expires.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-adv.h:
    * src/seahorse-generate-druid.c:
    * src/seahorse-generate-druid.h:
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.h:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-op.h:
    * src/seahorse-key-op.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-key-widget.h:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-results.ui:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.h:
    * src/seahorse-process-multiple.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c:
    * src/seahorse-windows.h: Refactored much of the internals of seahorse.
    SeahorseContext is now a global singleton. Keys are owned by the 
    SeahorseContext. SeahorseKeyset provides a filtered view on the key 
    list. SeahorseKeySource's add keys to the context. Operations only valid
    on GPG/PGP keys now only accept those key types or key sources. More 
    abstraction to allow different types of keys.
    
2005-08-07  Nate Nielsen  <nielsen@memberwebs.com>

    * autogen.sh: Require automake 1.7 
    * configure.in:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-dbus-bindings.xml:
    * daemon/seahorse-dbus-server.c:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * tests/dbus-test.py: Added beginnings of a DBUS service.
    
2005-08-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c: Added Jim Pharis to contributors.
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-pair.c:
    * libseahorse/seahorse-key-pair.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-recipients-store.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-signatures.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-util.c:
    * plugins/gedit/seahorse-gedit.c:
    * src/main.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expires.c:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-op.c:
    * src/seahorse-key-op.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c: Refactor SeahorseKey into an abstract based
    class. Prepare for other key types. 
    
2005-07-27  Adam Schreiber  <sadam@clemson.edu>
	* pixmaps/seahorse-person.png:
	* src/seahorse-xloadimage.c: Helperfile and no photoid
	  graphic (bug #160413)

2005-07-18  Nate Nielsen  <nielsen@memberwebs.com>

	* Merged seahorse-0-8 changes into HEAD

2005-07-17 Adam Schreiber <sadam@clemson.edu>
	* libseahorse/seahorse-key-store.c:
	* libseahorse/seahorse-multi-source.c: Patch from Flavio daCosta
	  (bug #310214)

2005-07-16  Adam Schreiber  <sadam@clemson.edu>
	* libseahorse/seahorse-prefs.glade:
	* libseahorse/seahorse-prefs-cache.c: Patch from Jim Pharis
	(bug #304714)
	* libseahorse/seahorse-key-store.c: Patch for single key delete
	from Flavio daCosta

2005-07-11 Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Added text for Preferences(bug #309360)
	
2005-07-09  Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Added text for File Manager(bug #309360)

2005-07-04  Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Added text for Text Editor(bug #309360)

2005-07-03  Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Begin Documentation Overhaul (bug #309360)
	* src/seahorse-generate-select.glade: Fix problem where pressing
	<return> doesn't activate continue button.	
	* src/seahorse-keyserver-search.glade: Fix problem where pressing
	<return> doesn't activate search button.
    	Patch by Adam Schreiber (bug #157818)
    	
2005-06-04  Nate Nielsen  <nielsen@memberwebs.com>

	* Merged seahorse-0-8 changes into HEAD

2005-06-04  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2005-06-01  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/seahorse-pgp-preferences.c: Fix 
    compilation problem with WITH_AGENT is not defined.
    * INSTALL: Added howl to optional dependency listing.
    
2005-05-21  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: As Randall said, it's called Bonjour, not 
    Opentalk. 
    
2005-05-20  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-hkp-server.c:
    * daemon/seahorse-sharing.c:
    * data/seahorse.schemas.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-dns-sd.h:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-server-source.h:
    * libseahorse/seahorse-util.c: 
    * libseahorse/seahorse-util.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-share-keys.png:
    * pixmaps/seahorse-share-keys.xcf:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-search.glade: Add DNS-SD key sharing
    * daemon/Makefile.am: Fix problem building with agent
    * plugins/nautilus/seahorse-pgp-preferences.c: Add necessary argument
    to allow display of the 'sharing' tab.
    * agent/seahorse-agent-status.c:
    * daemon/seahorse-sharing.c:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in: Rename the 
    seahorse-pgp-preferences program to seahorse-preferences
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahurse-util.c:
    * libseahorse/seahorse-util.h: Change seahorse_util_show_error to be 
    more flexible for proper HIG compliant error messages.
    * daemon/seahorse-daemon.c: Shut down sharing if a DNS-SD error occurs.
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade: 
    * src/seahorse-keyserver-results.c: Split main key manager into public
    and private key views.
    * daemon/seahorse-daemon.c: Use real name when publishing service
    
2005-05-19  Nate Nielsen  <nielsen@memberwebs.com>

	* Merge seahorse-0-8 changes into HEAD
    * HACKING:
    * Makefile.am:
    * configure.in:
    * agent/eggtrayicon.* (removed):
    * agent/seahorse-agent-io.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * libseahorse/Makefile.am:
    * libseahorse/eggtrayicon.c:
    * libseahorse/eggtrayicon.h:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Moved agent into seahorse-daemon
    process. 
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-prefs.h:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.h: Identify preference tabs by the widgets 
    in them not by index, since the number of tabs differs depending on 
    compile options.
    * daemon/Makefile.am: If --disable-agent don't include agent code 
    in seahorse-daemon

2005-05-18  Nate Nielsen  <nielsen@memberwebs.com>

	* Merge seahorse-0-8 changes into HEAD

2005-05-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-hkp-source.c: Fix compiler warnings
    
2005-05-14  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-preferences.c: HIGify 'Visible Columns' tab.
    Patch from Jim Pharis (bug #304212)
    
2005-05-10  Nate Nielsen  <nielsen@memberwebs.com>

	* agent-seahore-agent.c: Use popt for command line handling.
	Patch by Adam Schreiber (bug #303495)
    
2005-05-08  Nate Nielsen  <nielsen@memberwebs.com>

    * src/main.c: Display command line help.
    Patch by Adam Schreiber (bug #303463)

2005-05-07  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS: New release
    * configure.in: Updated to version 0.9.0
    * Branched seahorse-0-8
    * README.cvs: Updated to reflect branching

2005-05-04  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c: Handle empty passwords properly
    Patch by Adam Schreiber (bug #169145)
    
2005-05-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Add option to seahorse_util_write_data_*
    to supress release of data.
	* libseahorse/seahorse-vfs-data.c: Fix problem with closing files
	hanging under certain circumstances.
    * libseahorse/seahorse-hkp-source.c: Fix crasher problems when parsing a 
    HKP key index. 
    * libseahorse/seahorse-util.h: 
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c: Drag and drop now works from remote key 
    windows to the local key manager. (bug #111137)
    * libseahorse/seahorse-util.c: Fix memory leak. 
    
2005-04-26  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent.h: Add option in agent 'Authorize' window
    to turn of authorize prompting. 
    Patch by Adam Schreiber. Fixes bug #302112
    
2005-04-24  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c: Keep agent window on top. 
    Patch by Adam Schreiber. Fixes bug #301842
    * libseahorse/Makefile.am: 
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-server-source.h: Dialog for adding key servers
    in preferences, validate key server uris (bug #159918)
    
2005-04-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager-store.c: Fix strange gconf crasher.
    
2005-04-21  Bastien Nocera  <hadess@hadess.net>

    * libseahorse/Makefile.am: fix build when WITH_HKP isn't defined

2005-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * configure.in:
    * data/seahorse.schemas.in: 
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gpgmex-util.c: 
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-hkp-source.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: HKP Key Server support (bug #172757)
    * agent/seahorse-agent-io.c: Cleanup some warnings
    
2005-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-search.glade: Fixed problem with disabled
    search button (bug #300578)
    
2005-04-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-check-button-control.h: Add proper license
    * configure.in:
    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c:
    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-recipients-store.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-preferences.c:
    * src/seahorse-process-multiple.c: Simplified and consolidated Gconf 
    access, removed libeel dependency, added gconf dependency. 
    * AUTHORS:
    * HACKING:
    * INSTALL:
    * README:
    * THANKS:
    * TODO: Updated project description files.
    * configure.in: Removed gnome-mime-data dependency.
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade: Make the recipients dialog more
    keyboard accessible (bug #300775)
    
2005-04-15  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS: New release
    * configure.in: Updated version number
    
2005-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: Change default key servers to ones
    that work.
    
2005-04-11  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-keyserver-control.c: Fix problems with 
    'Publish To' keyserver setting losing it's value when prefs
    dialog is shown. 
    * configure: Display a configuration summary
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade: Remove all key server operations
    when compiling without keyserver support.
    * plugins/nautilus/Makefile.am: Install capplet desktop file into both
    /usr/share/control-center-2.0/capplets and /usr/share/applications 
    (bug #172739)
    * src/seahorse-key-manager.glade: Added proper spacing around 'Filter:'
    * libseahorse/seahorse-prefs.c: Added back ASCII Armor option back with 
    proper option description.
    * libseahorse/seahorse-prefs.glade:
    * src/seahorse-key-manager.glade: Cleaned up glade files.
    
2005-04-06  Nate Nielsen  <nielsen@memberwebs.com>
    
    * data/seahorse.schemas.in: Fix typo (bug #172826)
    
2005-04-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-source.c: 
    * src/seahorse-key-source.h: Added method to import synchronously
    directly on a key source. 
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h: Added method to retrieve all keys
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.glade:
    * libseahorse/seahorse-progress.h: Added support for progress windows
    on a given operation. 
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h: Reworked operation support 
    * data/seahorse.schemas.in: 
    * libseahorse/Makefile.am: 
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-keyserver-control.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-prefs.h: 
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.h: Added 'Publish To' key server control, 
    and support for showing an initial tab when opening prefs.
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-multi-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-server-source.c:
    * src/Makefile.am
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-search.glade:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-windows.h: Added support for syncing and publishing keys,
    rearranged main key manager window to accomodate.
    * src/seahorse-ldap-source.c: Don't display error when key already exists
    on server.    
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-keyserver-sync.c: Better progress and status updates.
    * libseahorse/seahorse-progress.glade:
    * src/seahorse-key-manager.glade: 
    * src/seahorse-keyserver-result.glade:
    * src/seahorse-keyserver-sync.glade: UI fixes
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-recipients.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: App status bar progress fixes.
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-keyserver-control.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Fixed problems with the key server 
    selector tool.
    
2005-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c: Fix compiler warning.
    
2005-04-02  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c: 
    * libseahorse/seahorse-util.h: Add string compare function.
    Fix problem with choosing wrong extension for encryption.
    
2005-04-01  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-04-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c: Fix crasher in seahorse_util_add_suffix.
    * data/seahorse.schemas.in: Remove 'show_length' option.
    
2005-03-31  Nate Nielsen  <nielsen@memberwebs.com> 

    * src/seahorse-key-manager-store.c: 
    * src/seahorse-preferences.c: Remove the 'Length' column from the main 
    key manager display. Still available in Key Properties. 
    * src/seahorse-key-manager-store.c: Cleanup columns of main Key Manager 
    display to be simpler and less busy. 
    
2005-03-30  Nate Nielsen <nielsen@memberwebs.com>
    
    * src/Makefile.am: 
    * src/seahorse-expires.c:
    * src/seahorse-expires.glade:
    * src/seahorse-key-dialog.h:
    * src/seahorse-key-properties.c: Use another dialog to prompt for expiry
    date changes (bug #105300)
    
2005-03-28  Nate Nielsen <nielnen@memberwebs.com>

    * libseahorse/seahorse-util.c: Properly detect armor mode and change
    extension. 
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-util.c: Remove 'Text Mode' option. Remove 'Armor'
    option from the user interface. These are automatic now. Overriding 
    'ASCII Armor' mode is done in gconf at: /desktop/pgp/ascii_armor
    * libseahorse/seahorse-passphrase.c: 
    * src/seahorse-key-op.c: Fix some hanging problems when modifying key 
    properties
    
2005-03-25  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Change default extension to '.pgp' for 
    compatibility. Fixed problems with suffixes (and a memory leak).
    
2005-03-22  Nate Nielsen <nielsen@memberwebs.com>

    * bonobo/seahorse-pgp-file-listener.c: Remove gnome.h header. 
    * agent/seahorse-agent-cache.glade: 
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent-status.c:
    * bonobo/seahorse-pgp-file-listener.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-util.c:
    * plugins/gedit/seahorse-gedit.schemas.in:
    * plugins/gedit/seahorse-pgp-gedit.plugin.desktop.in:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/main.c:
    * src/seahorse-generate-druid.glade:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-results.glade:
    * src/seahorse-pgp-encrypted.desktop.in:
    * src/seahorse-pgp-signature.desktop.in:
    * src/seahorse.desktop.in: Remove unnecessary PGP or GPG 
    references, and use 'passphrase' consistently. 

2005-03-20  Nate Nielsen <nielsen@memberwebs.com>

    * configure.in: Support for gedit 2.10
    * Makefile.am:
    * configure.in:
    * bonobo/Makefile.am:
    * plugins/Makefile.am:
    * plugins/nautilus-ext/Makefile.am:
    * plugins/nautilus-ext/seahorse-nautilus-module.c:
    * plugins/nautilus-ext/seahorse-nautilus.c:
    * plugins/nautilus-ext/seahorse-nautilus.h: Gnome 2.10 nautilus
    extension support. Patch by Fernando Herrera. (bug #160360)
    
2005-03-18  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/Makefile.am:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/eggtreemultidnd.c:
    * src/eggtreemultidnd.h: Added support for the key lists to be drag
    sources (bug# 111137)
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c: More drag and drop fixes. 

2005-03-03  Nate Nielsen <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.glade: Fix typo and screwed up description
    of insecure passphrases stored in memory 
	* agent/seahorse-agent-actions.c:
	* agent/seahorse-agent-prompt.c:
	* libseahorse/seahorse-prefs-cache.c: Changed usage of 'password' to 
	'passphrase' in user visible text.
    
2005-02-19  Nate Nielsen <nielsen@memberwebs.com>

    * configure.in: Version 0.7.6

2005-02-15  Nate Nielsen <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: Fix tag problem 
    * src/seahorse-key-manager.glade: Fix warnings about events
	
2005-02-14  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-signer.glade: Added missing files from 
    yesterday's 'Prompt for signer' checkin. 
    
2005-02-13  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * plugins/gedit/seahorse-gedit.c:
    * src/main.c:
    * src/seahorse-revoke.c: Prompt for signer when no default 
    key is selected.
    * agent/seahorse-agent-cache.c: Display key UID properly in 
    agent window. Open file descriptors in agent daemon so that 
    GPGME works. (bug #159629)
    * configure.in: Allow use with GPG 1.4 (bug #161697)
    
2005-02-10  Nate Nielsen <nielsen@memberwebs.com>

    * HACKING: Added notes and list of non GPGME features we're
    using.
    
2005-02-09  Nate Nielsen <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: 
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-key-pair.c:
    * libseahorse/seahorse-key-pair.h:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade:
    * plugins/nautilus/seahorse-gedit.c: 
    * src/main.c: Support for choice of signing key, proper control for 
    signing key selection (Fixes #157333, #111885)
    
2005-02-06  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-source.c: Fixed problem where key 
    list would be truncated when opening a key's properties
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-key-properties.c:
    * libseahorse/seahorse-key-properties.glade: Usability patch 
    from Jim Pharis (bug #166417)
    
2005-02-05  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c: 
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h: 
    * src/main.c: gnome-vfs work: delay file creation until write.
    cleanup gnome-vfs properly. use gnome-vfs for all file action.
    * libseahorse/seahorse-util.c: Make the 'save and 'open' buttons
    in the file chooser dialogs the default buttons.
    * libseahorse/seahorse-op.c: Fix bug where plain text file was 
    truncated when verified against a signature.
    
2005-02-04  Nate Nielsen <nielsen@memberwebs.com>

    * src/seahorse-keyserver-search.glade: Adam Schreiber
    made entry field run search on Return keypress
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-util.c:     
    * libseahorse/seahorse-util.h: Monitor keyring and refresh 
    keys automatically when keyring changes.
    * src/seahorse-key-manager.c: Remove extra key list refreshes.
    Key source takes care of refreshing keys
    
2005-02-03  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-util.c: Now prompts for alternate 
	files in the right directory (bug #164962)
	* libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * src/seahorse-delete.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Allow deletion of UIDs
    from the main key manager window (bug #164959)
    * libseahorse/seahorse-key-store.c: Fix recipient selection
    status problems (bug #164958)
    * libseahorse/seahorse-gpg-options.c: Relax restriction on 
    GPG versions. Allow any 1.x version. (see bug #166224)
    * libseahorse/seahorse-pgp-source.c: Recognize secret keys
    when imported (bug #164955)
    
2005-02-02  Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-key-manager.glade: Patch from Adam Schreiber
	which fixes problems with toolbar.
	
2005-01-29  Nate Nielsen <nielsen@memberwebs.com>

	* pixmaps/seahorse-key.png:
	* pixmaps/seahorse-secret.png: Added support files for Adam's patch.
	* src/seahorse-key-manager-store.c: 
	* libseahorse/seahorse-key-store.c: Some changes to Adam's patch. No icons
	in recipient selection. No icons for UIDs.
	
2005-01-29	Adam Schreiber <sadam@clemson.edu>
	
	* libseahorse/seahorse-key-store.h:
	* libseahorse/seahorse-key-store.c: 
	* pixmaps/Makefile.am: Added Key and Keypair icons to the column view.  
	Sorting on keypair is remembered after close. (bug# 111176)
	
2005-01-22	Adam Schreiber <sadam@clemson.edu>

	* src/seahorse-key-manager.glade: Added bindings for the delete and 
	backspace keys (bug# 164960)
	
2005-01-22  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-key-store.c:
	* libseahorse/seahorse-key-store.h:
	* libseahorse/seahorse-recipients.c:
	* libseahorse/seahorse-recipients-store.c:
	* src/seahorse-key-manager-store.c: Better handling of UID rows in the key 
	manager and recipients dialog. (bug# 159669)
	
2005-01-06  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-recipients.c: 
	* src/seahorse-process-multiple.c: Added i18n pluralization fixes (bug #155594, #155214)
	
2004-12-23  Nate Nielsen <nielsen@memberwebs.com>

	* src/Makefile.am
	* src/seahorse-pgp-encrypted.desktop.in:
	* src/seahorse-pgp-signature.desktop.in: Adam Schreiber added decryption 
	operations as defaults for application/pgp-encrypted and 
	appliaction/pgp-signature (bug #160975)
	
2004-12-14  Nate Nielsen <nielsen@memberwebs.com>

 	* agent/gtk-secure-entry.c:
 	* agent/seahorse-agent.c:
 	* agent/seahorse-agent-secmem.c:
 	* agent/seahorse-agent-status.c: Cleaned up compile warnings in agent
 	* src/seahorse-key-manager.c:
 	* src/seahorse-keyserver-results.glade: Cleaned up GTK and glade run-time warnings 
 	* libseahorse/Makefile.am:
 	* libseahorse/seahorse-context.c:
 	* libseahorse/seahorse-context.h:
 	* libseahorse/seahorse-key-source.c:
 	* libseahorse/seahorse-key-source.h:
 	* libseahorse/seahorse-key-store.c:
 	* libseahorse/seahorse-ldap-source.c:
 	* libseahorse/seahorse-multi-source.c:
 	* libseahorse/seahorse-op.c:
 	* libseahorse/seahorse-operation.c:
 	* libseahorse/seahorse-operation.h:
 	* libseahorse/seahorse-pgp-source.c:
 	* libseahorse/seahorse-pgp-source.h:
 	* libseahorse/seahorse-progress.c:
 	* libseahorse/seahorse-progress.h:
 	* libseahorse/seahorse-recipients.c:
 	* libseahorse/seahorse-server-source.c:
 	* libseahorse/seahorse-server-source.h:
 	* libseahorse/seahorse-signatures.c:
 	* src/seahorse-key-manager.c:
 	* src/seahorse-key-op.c:
 	* src/seahorse-key-properties.c:
 	* src/seahorse-keyserver-results.c:
 	* src/seahorse-keyserver-search.c: Add progress support to operations and 
 	rework key source code proper operation support (bug# 159083)

2004-12-06  Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-key-manager.c: Fix uninitialized variable.
	* src/seahorse-keyserver-results.c: 'Save As' and 'Copy' for Remote Keys
	(bug# 157818)
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/seahorse-key-manager.c: Rework the File Chooser code and consolidate
	into seahorse_util_* functions
	
2004-12-04  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* plugins/gedit/seahorse-gedit.c:
	* src/main.c:
	* src/seahorse-add-subkey.c:
	* src/seahorse-add-uid.c:
	* src/seahorse-delete.c:
	* src/seahorse-generate-adv.c:
	* src/seahorse-generate-druid.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-properties.c:
	* src/seahorse-keyserver-results.c:
	* src/seahorse-revoke.c:
	* src/seahorse-sign.c: Rename error handling functions to better 
	indicate their usage
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-gpgmex.h:
	* libseahorse/seahorse-key-source.c:
	* libseahorse/seahorse-key-source.h:
	* libseahorse/seahorse-ldap-source.c:
	* libseahorse/seahorse-ldap-source.h:
	* libseahorse/seahorse-multi-source.c:
	* libseahorse/seahorse-op.c:
	* libseahorse/seahorse-op.h:
	* libseahorse/seahorse-operation.c:
	* libseahorse/seahorse-operation.h:
	* libseahorse/seahorse-pgp-source.c:
	* libseahorse/seahorse-server-source.c:
	* libseahorse/seahorse-server-source.h:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/seahorse-key-properties.c:
	* src/seahorse-keyserver-results.c:
	* src/seahorse-keyserver-search.c:
	* configure.in: Added LDAP keyserver support. Reworked key server code.
	(bug# 157818)
	* libseahorse/seahorse-gpgmex-keyserver.c:
	* libseahorse/seahorse-keyserver-op.c:
	* libseahorse/seahorse-keyserver-op.h: Removed GPG keyserver support
	(bug# 157818)
	
2004-12-02	Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-op.c: 
	* libseahorse/seahorse-op.h:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/main.c: Prompt before overwriting files (bug# 159972)
	* libseahorse/seahorse-op.c: More efficient operations on large files
	(bug# 159083)
	
2004-11-29  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-server-source.c: Added NULL pointer checks
	* libseahorse/seahorse-recipients.glade: Fixed Recipients dialog focus issues
	and added mnemonic chars. (bug# 159911)
	* libseahorse/seahorse-operation.c:
	* libseahorse/seahorse-operation.h:
	* libseahorse/seahorse-pgp-source.c:
	* libseahorse/seahorse-server-source.c: Extended SeahorseOperation to allow 
	error results, cancel status, and additional properties 
	* libseahorse/seahorse-gpgmex-keyserver.c: Fix problem where it kills all 
	running programs :)
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-gpgmex.h:
	* libseahorse/seahorse-gpgmex-keyserver.c:
	* libseahorse/seahorse-keyserver-op.c:
	* libseahorse/seahorse-keyserver-op.h:
	* libseahorse/seahorse-server-source.c:
	* src/seahorse-keyserver-results.c: Rudimentary keyserver import support 
	(bug# 157818)
	
2004-11-28  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-multi-source.c:
	* libseahorse/seahorse-multi-source.h: Added seahorse_multi_source_get_primary
	* libseahorse/seahorse-operation.c: Hold ref on operations during cancel or done
	* libseahorse/seahorse-operation.c:
	* libseahorse/seahorse-operation.h:
	* libseahorse/seahorse-pgp-source.c:
	* libseahorse/seahorse-pgp-source.h: Implemented SeahorseOperation as complete
	GObject, with derived classes for specific operations
	* data/seahorse.schemas.in:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-gpgmex.h:
	* libseahorse/seahorse-gpgmex-keyserver.c:
	* libseahorse/seahorse-operation.h:
	* libseahorse/seahorse-server-source.c:
	* libseahorse/seahorse-server-source.h:
	* src/Makefile.am:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.glade:
	* src/seahorse-key-properties.c:
	* src/seahorse-keyserver-results.c:
	* src/seahorse-keyserver-results.glade:
	* src/seahorse-keyserver-search.c:
	* src/seahorse-keyserver-search.glade:
	* src/seahorse-windows.h: Added initial keyserver search support (bug# 157818)
	
2004-11-27  Nate Nielsen <nielsen@memberwebs.com>

	* plugins/gedit/seahorse-gedit.c: Selecting text in recipients dialog
	no longer causes plugin to forget earlier 'to encrypt' selection
	* plugins/gedit/Makefile.am:
	* plugins/gedit/seahorse-gedit.schemas.in: Enable gedit plugin by default
	* libseahorse/seahorse-key-source.c:
	* libseahorse/seahorse-multi-source.c: Fix double free of GPGME context
	* agent/seahorse-agent/cache.c: Fix unknown key problem (bug# 159629)
	* agent/seahorse-agent-secmem.c: Fix secure mem message
	* libseahorse/seahorse-prefs.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h: Add generic functions for freeing string lists
	* src/seahorse-generate-adv.c: Fix memory leak
	* libseahorse/seahorse-gpgmex-util.c: Added implementation of gpgmex_key_copy_*
	* libseahorse/seahorse-gpgmex-util.c: 
	* libseahorse/seahorse-key.c: Fixed small bugs in remote key functionality
	
2004-11-22  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-gpgmex-util.c: 
	* configure.in: Only define strsep when needed
	* libseahorse/seahorse-pgp-source.c: Fix logic bug in seahorse_pgp_source_stop
	
2004-11-21  Nate Nielsen <nielsen@memberwebs.com>

	* plugins/gedit/seahorse-gedit.c: Bring gedit plugin in sync with 
	prior refactoring changes. 
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-default-key-control.c:
	* libseahorse/seahorse-key-store.c:
	* libseahorse/seahorse-key-store.h:
	* libseahorse/seahorse-multi-source.c:
	* libseahorse/seahorse-multi-source.h:
	* libseahorse/seahorse-recipients.c:
	* libseahorse/seahorse-recipients-store.c:
	* libseahorse/seahorse-recipients-store.h:
	* libseahorse/seahorse-signatures.c:
	* src/main.c:
	* src/seahorse-generate-adv.c:
	* src/seahorse-generate-druid.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-key-manager-store.h: Refactor key sources and their
	use instead of the context for tracking and listing keys. (bug# 158882)
	
2004-11-20  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/Makefile.am: Fix broken build
	
2004-11-12  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-util.h:
	* libseahorse/seahorse-vfs-data.c: Add seahorse_util_wait_until
	macro so we can use it elsewhere
	* libseahorse/seahorse-operation.c:
	* libseahorse/seahorse-operation.h:
	* libseahorse/seahorse-pgp-source.c: Use a generic operation method
	for keeping track of asynchronous actions
	
2004-11-11  Nate Nielsen <nielsen@memberwebs.com>
	
	* data/seahorse.schemas.in:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-prefs.c:
	* libseahorse/seahorse-prefs.glade:
	* libseahorse/seahorse-prefs.h:
	* plugins/nautilus/Makefile.am:
	* plugins/seahorse-pgp-preferences.c:
	* src/seahorse-preferences.c: New shared preferences (bug# 157876)
	* plugins/nautilus/seahorse-pgp-preferences.glade: Removed
	* nautilus/plugins/seahorse-pgp-preferences-cache.c: Moved to 
	new location: libseahorse/seahorse-prefs-cache.c
	* libseahorse/seahorse-widget.c:
	* libseahorse/seahorse-widget.h: Added method for getting the top
	level widget from a SeahorseWidget 
	* agent/seahorse-agent-cache.c:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-gpgmex.h:
	* libseahorse/seahorse-gpgmex-util.c:
	* libseahorse/seahorse-gpg-options.c:
	* libseahorse/seahorse-key.c:
	* libseahorse/seahorse-key-pair.c:
	* libseahorse/seahorse-op.c:
	* libseahorse/seahorse-passphrase.c:
	* libseahorse/seahorse-pgp-source.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* libseahorse/seahorse-vfs-data.c:
	* plugins/gedit/seahorse-gedit.c:
	* src/main.c:
	* src/seahorse-add-subkey.c:
	* src/seahorse-add-uid.c:
	* src/seahorse-delete.c:
	* src/seahorse-generate-adv.c:
	* src/seahorse-generate-druid.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-op.c:
	* src/seahorse-key-properties.c:
	* src/seahorse-revoke.c:
	* src/seahorse-sign.c: Moved all GPGME extension code into 
	seahorse-gpgmex* and started using those headers and code.
	
2004-11-10  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-op.c: Fix encryption of text. Force armor
	mode when necessary 
	* plugins/gedit/seahorse-gedit.c: Fix Gedit plugin encryption of 
	entire document. Fix warnings under 2.8. Remove special character
	replacements from output.
	* libseahorse/seahorse-check-button-control.c:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-preferences.h: SeahorseContext now 'monitors' 
	necessary gconf values instead of all over the place 
	
2004-11-09  Nate Nielsen <nielsen@memberwebs.com>

	* configure.in: Better message on the GPG version check
	(bug# 157812)
	
2004-11-08  Nate Nielsen <nielsen@memberwebs.com>
	
	* libseahorse/seahorse-widget.c: Help | Contents menu item now
	works (bug# 157579) [Julio M. Merino Vidal]
	
2004-11-05	Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-key-manager.c:
	* AUTHORS:
	* THANKS: Added Adam and Albrect to credits
	
2004-11-05  Adam Schreiber <sadam@clemson.edu>

	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/seahorse-process-multiple.c: Moved package_uris 
	functionality into seahorse-util.c
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.glade:
	* src/seahorse-process-multiple.c: Added "Backup Keyrings" 
	functionality (bug# 111901)
	
2004-11-04  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-op.c: Safer use of fingerprint
	* libseahorse/seahorse-pgp-source.c: Fix key memory leak 
	and reference counting issues
	* libseahorse/seahorse-key.c:
	* libseahorse/seahorse-key-pair.c:
	* libseahorse/seahorse-pgp-source.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h: Implement internal allocation of
	gpgme_key structures for use with key server
	* src/seahorse-key-manager-store.c: Fix memory leak
	
2004-11-02	Nate Nielsen <nielsen@memberwebs.com>

	* Version 0.7.5
	* configure.in: Updated version number
	
2004-11-01	Nate Nielsen <nielsen@memberwebs.com>
	
	* agent/seahorse-agent-io.c: Fix syntax error in cleanup code
	* src/seahorse-key-properties.c: Fix crasher when 'Expires' 
	toggled on a subkey (bug# 157081)
	
2004-10-31  Nate Nielsen <nielsen@memberwebs.com>

	* agent/seahorse-agent.c:
	* agent/seahorse-agent-io.c:
	* libseahorse/seahorse-util.c:
	* plugins/nautilus/seahorse-pgp-preferences-cache.c: Proper freeing of
	GErrors using g_clear_error
	* libseahorse/seahorse-gpg-options.c: When gpg home directory doesn't 
	exist, create it. Also when creating conf file, set permissions right
	* configure.in: Properly detect mlock
	
2004-10-30  Nate Nielsen <nielsen@memberwebs.com>
	
	* src/seahorse-preferences.c:
	* src/seahorse-preferences.glade: Fixed preferences dialog to be 
	more HIG compliant (bug# 140989)
	* libseahorse/*:
	* plugins/gedit/seahorse-gedit.c:
	* plugins/nautilus/seahorse-pgp-preferences.c:
	* src/*: Rework the internals of seahorse to provide better key loading, 
    key source and other improvements (see bug# 156600 for file list)
	* seahorse.spec.in: Added file line for libseahorse-internal
	* libseahorse/seahorse-gpg-options.c:
	* libseahorse/seahorse-gpg-options.h: Added seahorse_gpg_homedir function
	
2004-10-27  Nate Nielsen <nielsen@memberwebs.com>

	* agent/seahorse-agent-cache.c: Proper use of GHashTable
	* src/seahorse-key-manager.c: Fix overwrite file dialog 
	(bug# 156535) [Adam Schreiber]
	
2004-10-26  Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-pgp-preferences-cache.c: Fix crash resulting from 
	missing glade file
	* agent/Makefile.am:
	* libseahorse/Makefile.am:
	* plugins/gedit/Makefile.am:
	* plugins/nautilus/Makefile.am:
	* src/Makefile.am: For cross platform compatibility libseahorse needs 
	to be a shared library (bug# 156080) [Julio M. Merino Vidal]
	* seahorse.spec.in: Fixed RPM spec file. See %changelog
		
2004-10-25  Adam Schreiber <sadam@clemson.edu>

	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.glade: First time startup assistant (bug #111937)
	
2004-10-25  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-context.c: Fix crash when no 'Encrypt to Self' 
	but no default key selected
	* plugins/gedit/seahorse-gedit.c: Use more version portable functions
	for accessing document content (bug# 156368)
	* agent/seahorse-agent-cache.glade:
	* libseahorse/seahorse-passphrase.glade:
	* plugins/nautilus/seahorse-pgp-preferences.glade:
	* src/seahorse-multi-encrypt.glade: HIG fixes
	* libseahorse/seahorse-default-key-control.c: Fixed problems when 
	populating the default key control (bug# 156308)
	* agent/seahorse-agent-io.c: Don't answer password requests from wrong
	display (bug# 156306)
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h: Fix seahorse_context_get_n_key_pairs 
	function declaration
	* agent/seahorse-agent-status.c: Fix problems with password cache tray 
	icon not showing up and other image probs
	
2004-10-24  Nate Nielsen <nielsen@memberwebs.com>
	
	* agent/seahorse-agent.c: Restore modified gpg.conf values to previous
	values on exit (bug# 156304)
	* plugins/nautilus/seahorse-pgp-preferences-cache.c: Format properly 
	while the file is still new
	* plugins/nautilus/seahorse-pgp-preferences-cache.c: Disable cache tab
	if another agent is running (bug# 156305)
	
2004-10-23  Adam Schreiber <sadam@clemson.edu>

	* src/seahorse-generate-druid.c: Key generation assistant stops with 
    name < 5 chars (bug# 154602)
	
2004-10-23  Nate Nielsen <nielsen@memberwebs.com>

	* seahorse-key-manager-store.c: Fix problems with showing wrong 
	columns (bug# 156167)
	* seahorse-key-store.c: Fix sorting again after above change
	* seahorse-context.c: Now updates properly when importing into
	an empty keyring (bug# 156168)
	
2004-10-20  Nate Nielsen <nielsen@memberwebs.com>

	* configure.in: Check for gedit versions 2.6 and 2.8 (bug# 155902)
	* plugins/nautilus/seahorse-pgp-preferences.glade: HIG fixes
	* configure.in:
	* plugins/nautilus/Makefile.am:
	* plugins/nautilus/seahorse-pgp-preferences.c: When agent is disabled
	make sure the cache stuff in preferences doesn't get compiled
	* configure.in:
	* seahorse-agent.c: Check for setresuid/gid and when not found fallback
	to setuid/gid (bug# 156078) [Julio M. Merino Vidal]
	
2004-10-19  Nate Nielsen <nielsen@memberwebs.com>

	* configure.in: Version 0.7.4
	* configure.in: Changing to post release incrementing
		
2004-10-18  Nate Nielsen <nielsen@memberwebs.com>

	* src/main.c: string abbreviation change (bug# 155632)
	* agent/seahorse-agent-prompt.c: Fixed uninitialized memory
	problem which caused 'cancel' not to work on password prompts.
	
2004-10-14  Nate Nielsen <nielsen@memberwebs.com>
	
	* agent/*
	* data/seahorse.schemas.in:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-gpg-options.c:
	* libseahorse/seahorse-gpg-options.h:
	* plugins/nautilus/Makefile.am:
	* plugins/nautilus/seahorse-pgp-preferences.c:
	* plugins/nautilus/seahorse-pgp-preferences.glade:
	* plugins/nautilus/seahorse-pgp-preferrences-cache.c:
	* configure.in
	* Makefile.am: Added seahorse agent (bug# 154201)
	* src/seahorse-key-manager.c:
	* AUTHORS:
	* BUGS:
	* HACKING:
	* TODO: Added myself to authors. Updated above documents to reflect
	current state of project somewhat.
	* libseahorse/seahorse-signatures.glade:
	* libseahorse/seahorse-generate-druid.glade:
	* libseahorse/seahorse-generate-select.glade: HIG compliancy work
	* plugins/Makefile.am:
	* plugins/gedit/.cvsignore:
	* plugins/gedit/Makefile.am:
	* plugins/gedit/seahorse-gedit.c:
	* plugins/gedit/seahorse-pgp.gedit-plugin.desktop.in:
	* configure.in:
	* seahorse.spec.in: Gedit plugin (bug# 110922)
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h: Detection of PGP text type
	* libseahorse/seahorse-util.c: Fixed seahorse_util_uri_get_last
	* libseahorse/seahorse-signatures.glade: Close properly
	* libseahorse/seahorse-widget.c: Fix so it doesn't crash on closing
	windows if no widget hashtable 
	* src/seahorse-delete.c:
	* src/seahorse-key-dialogs.h:
	* src/seahorse-key-properties.c:
	* src/seahorse-key-properties.glade:
	* src/seahorse-sign.c: Rework the key properties dialog
	(bug# 113363)
	
2004-10-13  Nate Nielsen <nielsen@memberwebs.com>
	
	* libseahorse/seahorse-key-store.c: Now respects 'encrypt to self' 
	option (bug# 111899)
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-signatures.c: Use a hashtable to speed lookups
	of keys to SeahorseKeys
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-recipients.c:
	* src/seahorse-process-multiple.c: Proper use of ngettext
	* bonobo/Seahorse_PGP_File_Listener.server.in:
	* bonobo/seahorse-pgp-file-listener.c:
	* libseahorse/seahorse-libdialogs.h:
	* libseahorse/seahorse-op.c:
	* libseahorse/seahorse-op.h:
	* libseahorse/seahorse-signatures.c:
	* libseahorse/seahorse-signatures.glade:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/main.c:
	* src/Makefile.am:
	* src/seahorse-multi-encrypt.glade:
	* src/seahorse-process-multiple.c:
	* src/seahorse-windows.h: Multiple file support in nautilus including
	packaging (bug# 111118)
	* src/Makefile.am: Include neccessary druid headers 
	* bonobo/Seahorse_PGP_File_Listener.server.in:
	* plugins/nautilus/Makefile.am: 
	* plugins/nautilus/seahorse.xml:
	* seahorse.spec.in: Added proper support for nautilus mime types
	* libseahorse/seahorse-libdialogs.h:
	* libseahorse/seahorse-passphrase.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/seahorse-key-op.c: Fixed inbuilt (non-agent) password prompting 
	which has been broken since GPGME upgrade
	* libseahorse/seahorse-key.c:
	* libseahorse/seahorse-key.h: Added functions for retrieving user ids
	* libseahorse/seahorse-context.c: Load signatures when loading keys
	* libseahorse/seahorse-key-op.c:
	* libseahorse/seahorse-key-op.h: Added key operations for changing 
	primary user id, and deleting a user id
	
2004-10-12	Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-key-store.c: Proper listing of keys when the keys
	have already been enumerated and loaded
	* libseahorse/seahorse-context.c: 
	* libseahorse/seahorse-recipients.c: ngettext fix
	* data/seahorse.schemas.in:
	* libseahorse/seahorse-key-store.c:
	* libseahorse/seahorse-key-store.h:
	* libseahorse/seahorse-recipients.c:
	* libseahorse/seahorse-recipients.glade:
	* libseahorse/seahorse-recipients-store.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.glade:
	* src/seahorse-key-manager-store.c: Better filtering and sorting of 
	keys in both recipients and main key manager windows (bug# 111996)
	
2004-10-11  Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-key-op.c: Fixed error when signing an already
	signed key with same userid (bug# 154987)
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* src/main.c:
	* src/seahorse-add-subkey.c:
	* src/seahorse-add-uid.c:
	* src/seahorse-delete.c:
	* src/seahorse-generate-adv.c:
	* src/seahorse-generate-druid.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-revoke.c:
	* src/seahorse-sign.c: HIG compliant error messages
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h: Added URI manipulation functions.
	* libseahorse/seahorse-vfs-data.c: Truncate files when writing out	
	* bonobo/seahorse-pgp-file-listener.c:
	* libseahorse/seahorse-op.c: 
	* libseahorse/seahorse-op.h:
	* src/main.c: Removed decrypt/verify option (bug# 112357)
	* libseahorse/seahorse-signatures.c: No crashing when an invalid 
	signature is passed
	
2004-10-09  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-op.c:
	* src/main.c: seahorse_op_* shouldn't free recips, they're now freed
	by the caller.
	* libseahorse/Makefile.am: 
	* libseahorse/seahorse-op.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* libseahorse/seahorse-vfs-data.c:
	* libseahorse/seahorse-vfs-data.h: 
	* configure.in: Added support for gnome-vfs
	* bonobo/Seahorse_PGP_File_Listener.server.in: Allow use of remote URIs
	* src/seahorse-export.c:
	* src/seahorse-export.glade:
	* src/seahorse-import.c:
	* src/seahorse-import.glade: Removed
	* src/Makefile.am:
	* src/seahorse-windows.h:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.glade: Reworked import/export options, 
	copy/paste, drag and drop, new file chooser (bug# 140987)	
			
2004-10-08  Nate Nielsen <nielsen@memberwebs.com>
	
	* libseahorse/seahorse-context.c: 
	* libseahorse/seahorse-recipients.c:
	* src/main.c: Use of ngettext (bug# 123850)
	* plugins/nautilus/seahorse-pgp-preferences.desktop.in: Fixed icon 
	(bug# 132687)
	* libseahorse/seahorse-context.c: Fixed crasher when eel gconf returns 
	a null value (see comments on bug# 147076)
	* libseahorse/seahorse-op.c: Fixed crasher when the clipboard sends
	us null text (bug# 114459)
	
2004-10-06  Nate Nielsen <nielsen@memberwebs.com>
	
	* libseahorse/seahorse-op.c:
	* libseahorse/seahorse-recipients.c: Fixed crasher bugs which occur after
	encrypting a file (bug# 154747)
	* libseahorse/seahorse-check-button-control.c:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-default-key-control.c:
	* libseahorse/seahorse-key.h:
	* libseahorse/seahorse-key-pair.h:
	* libseahorse/seahorse-key-store.c:
	* libseahorse/seahorse-key-store.h:
	* libseahorse/seahorse-widget.c:
	* libseahorse/seahorse-widget.h:
	* plugins/nautilus/seahorse-pgp-preferences.c:
	* src/main.c:
	* src/seahorse-delete.c:
	* src/seahorse-generate-adv.c:
	* src/seahorse-generate-druid.c:
	* src/seahorse-generate-select.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-key-widget.h:
	* src/seahorse-preferences.c: Fixed (most all) warnings 
	
2004-10-05  Nate Nielsen <nielsen@memberwebs.com>
	
	* configure.in: add --enable-debug option
	
2004-10-05  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-context.c: Fixed seahorse_context_get_key which
	would always return NULL (bug# 154206)
	* libseahorse/seahorse-signatures.c: Cleaned up signature code 
	* libseahorse/seahorse-libdialogs.h:
	* libseahorse/seahorse-signatures.c: 
	* src/main.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-windows.h: Better exiting of the process. Previously 
	in some cases seahorse would keep running hidden.
	
2004-10-05	Amanpreet Singh Alam <amanpreetalam@yahoo.com>

	*configure.in: Punjabi(pa) is add to ALL_LINGUAS

2004-10-04  Nate Nielsen <nielsen@memberwebs.com>
	
	* libseahorse/*:
	* src/*:
	* configure.in: Committed big patch which updates GPGME support to 
	current version of the library (1.0). See bugzilla patch for all the 
	specific files touched. (bug# 104205)
	* data/seahorse.schemas.in:
	* src/seahorse-generate-druid.glade:
	* src/seahorse-generate-select.glade: Translation and spelling fixes
	* libseahorse/seahorse-default-key-control.c: Detach signal handlers 
	properly (bug# 140985)
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.glade:
	* src/seahorse-preferences.c:
	* src/seahorse-preferences.glade:
	* src/seahorse-preferences.h: Remove unnecessary toolbar configuration 
	options (bug# 140986)
	* src/seahorse-delete.c: Proper stock buttons in prompts (bug# 111840)
	* src/seahorse-generate-select.c: Fix warnings (bug# 111840)
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.glade: Remove unnecessary view items 
	(bug# 140988)
	 
2004-10-03  Nate Nielsen <nielsen@memberwebs.com>

	* seahorse-generate-druid.glade:
	* seahorse-generate-select.glade: Changed terminology
    from 'druid' to 'assistant'

2004-06-09  Stanislav Visnovsky <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" (Slovak) to ALL_LINGUAS.

2004-04-24  Bastien Nocera  <hadess@hadess.net>

	* bonobo/seahorse-pgp-file-listener.c: fix a warning,
	gnome_vfs_unescape_string was used without the headers included
	* libseahorse/.cvsignore:
	* libseahorse/seahorse-marshal.c:
	* libseahorse/seahorse-marshal.h: remove auto generated files from
	the CVS

2004-04-24  Bastien Nocera  <hadess@hadess.net>

	* bonobo/seahorse-pgp-file-listener.c: fix a warning,
	gnome_vfs_unescape_string was used without the headers included

2004-03-30  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-03-25  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added "en_GB" to ALL_LINGUAS

2004-02-07  Robert Sedak  <robert.sedak@sk.htnet.hr>
 
         * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-01-05  Jacob Perkins  <jap1@users.sourceforge.net>
	
	* Added delete dialog HIG patch from Adam Schreiber <sadam@clemson.edu>
	* Added key generation druid from Adam Schreiber <sadam@clemson.edu>,
	  removed previous 'advanced' generation dialog

2003-12-06  Iñáki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2003-09-01  Metin Amiroff  <metin@karegen.com>

	* configure.in: Added "az" in ALL_LINGUAS.

2003-08-23  Artur Flinta  <aflinta@cvs.gnome.org>

	* configure.in: Added "pl" to ALL_LINGUAS.

2003-05-28  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-05-08  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2003-05-06  Jacob Perkins  <jap1@users.sourceforge.net>

	* bonobo/Seahorse_Context_Factory.server.in.in:
	* bonobo/seahorse-context-factory.c:
	Removed since will be too unstable for HEAD

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-01  Jacob Perkins  <jap1@users.sourceforge.net>

	* bonobo/Seahorse_Context_Factory.server.in.in:
	* bonobo/seahorse-context-factory.c:
	Added

	* Released 0.7.3

2003-04-30  Jacob Perkins  <jap1@users.sourceforge.net>

	* libseahorse/seahorse-default-key-control.c: Disconnects context's
	add signal so doesn't crash, bug fix in checking key's type
	* src/seahorse-preferences.c: Improved layout in PGP tab
	* src/seahorse-key-manager: Key buttons & menu items insensitive at start,
	signals are connected before list is loaded so ops can be done
	* plugins/nautilus/seahorse-pgp-preferences: Made layout nicer

2003-04-29  Jacob Perkins  <jap1@users.sourceforge.net>

	* libseahorse/seahorse-check-button-control: Added
	* libseahorse/seahorse-default-key-control: Added
	* plugins/nautilus/seahorse-pgp-preferences: Uses glade dialog,
	SeahorseCheckButtonControl, and seahorse-default-key-control.
	Added desktop file to install in control-center capplets
	* src/seahorse-preferences: Updated to use SeahorseCheckButtonControl
	and seahorse-default-key-control
	* src/seahorse.desktop.in: Moved from data/
	* BUGS: Added so that users know what is missing atm

2003-04-27  Jacob Perkins  <jap1@users.sourceforge.net>

	* bonobo/Seahorse_PGP_File_Listener.in.in:
	* bonobo/seahorse-pgp-file-listener.c:
	Added, replaces previous component code in plugins/nautilus/
	* plugins/nautilus/seahorse.mime:
	* plugins/nautilus/seahorse.keys:
	Moved from data/
	* libseahorse/seahorse-pgp-controls: Removed since unnecessary,
	need replacement widgets

2003-04-23  Jacob Perkins  <jap1@users.sourceforge.net>

	* src/seahorse-preferences: Uses PGP controls
	* libseahorse/seahorse-pgp-controls: Now all widgets are created,
	properties control their visibility

2003-04-22  Jacob Perkins  <jap1@users.sourceforge.net>

	* libseahorse/seahorse-op.c: Removed ENCRYPTSELF_KEY
	* libseahorse/seahorse-context.h: Added ENCRYPTSELF_KEY
	* configure.in: Added bonobo dependencies
	* libseahorse/Seahorse_PGP_Controls.server.in.in:
	* libseahorse/seahorse-pgp-controls:
	* plugins/nautilus/seahorse-pgp-preferences:
	Added

2003-04-19  Jacob Perkins  <jap1@users.sourceforge.net>

	* src/seahorse-key-properties: Bug fix in ::properies_destroyed
	* src/seahorse-key-widget: Redid hash table so that dialogs are key modal,
	added ::can_create, fixes bug #111126
	* src/seahorse-key-manager: Added support for seahorse_key_widget_can_create()
	in ::selection_changed
	* src/seahorse-sign: Bug fixes so works properly: can do multiple,
	fixed signals handling
	* src/seahorse-export: Default export file name is ${HOMEDIR}/${USERNAME}.keys,
	fixes bug #108577
	* src/seahorse-add-uid: Checks email address, fixes bug #110429
	* src/seahorse-add-subkey: Insensitize dialog during operation so that
	no other key ops can be performed

2003-04-16  Jacob Perkins  <jap1@users.sourceforge.net>

	* libseahorse/seahorse-context: ::keys_added will not add keys to an empty list
	* libseahorse/seahorse-widget: No longer connects to context progress
	signal for insensitizing widget, address bug #110923
	* src/seahorse-key-manager: Does not insensitize buttons or key list,
	listens to all progress signal emissions from any SeahorseContext,
	addresses bug #110923
	* src/seahorse-key-op: ::generate does operation in a new context and
	calls seahorse_context_keys_added(), addresses bug #110923
	* src/seahorse-generate: Removed call to seahorse_context_keys_added
	* src/seahorse-op: ::import_data uses a new context & calls, addresses bug #110923
	seahorse_context_keys_added()
	* src/seahorse-key-properties: Disconnecs key changed signal, fixes bug #110430

2003-04-14  Jacob Perkins  <jap1@users.sourceforge.net>

	* libseahorse/seahorse-context: Bug fixes in destroy
	* libseahorse/seahorse-signer-menu: Bug fixes in creation

2003-04-13  Jacob Perkins  <jap1@users.sourceforge.net>

	* data/seahorse.schemas.in:
	* libseahorse/seahorse-context:
	* libseahorse/seahorse-signer-menu:
	* src/seahorse-preferences:
	* src/seahorse-key-manager-store:
	* src/seahorse-key-manager:
	Redid schemas to use /desktop/pgp for general options, renamed other schemas
	* configure.in: Added gnome-mime-data dep since needed for mime types
	

2003-04-11  Jacob Perkins  <jap1@users.sourceforge.net>

	* data/seahorse.mime:
	* plugins/nautilus/Seahorse_Component.server.in.in:
	* plugins/nautilus/libmain.c:
	* plugins/nautilus/seahorse-component.c:
	Refined servers in order to restrict options
	* src/main.c: Added support for all options
	* libseahorse/seahorse-util: Remove ::show_error & text view helpers
	* libseahorse/seahorse-signatures: Uses seahorse-libdialogs.h,
	updated to use current api
	* libseahorse/seahorse-libdialogs: Added ::signatures_new

2003-04-10  Jacob Perkins  <jap1@users.sourceforge.net>

	* Added plugins/nautilus for the nautilus component
	* data/seahorse.mime: Added mime types for application/pgp

2003-04-09  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-import:
	* seahorse-export:
	Added clipboard functionality
	* seahorse-context: Disabled use of mutexes
	* seahorse-key-manager: Added selection status display
	* main.c: Added popt context for doing command line options

2003-04-05  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: Refactored key loading to use thread pools and
	multiple contexts for listing, updated ::keys_added to use new code
	* seahorse-key-op: Bug fixes in ::set_trust, ::set_disabled, ::generate

2003-04-04  Jacob Perkins  <jap1@users.sourceforge.net>

	* Massive restructuring: many files moved to libseahorse/,
	removed src/dialogs/. libseahorse/ now contains files that may be used
	by those in src/ and will be shared with future plugins.
	src/ only contains files necessary to the application.
	* All .glade2 files have been renamed to .glade

2003-03-30  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-util: Added ::check_suffix

2003-03-28  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-util: Added ::write_data_to_file and ::write_data_to_text,
	::handle_error, ::add_suffix
	* seahorse-op: Added, will replace seahorse-ops-(file|text|data)
	* seahorse-context: Added ::keys_added

2003-03-26  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-store: Added ::get_selected_keys, modified ::get_selected_key
	to just return first selected
	* seahorse-key-manager: Can do multiple selection of keys

2003-03-24  Jacob Perkins  <jap1@users.sourceforge.net>

	* Release 0.7.2

2003-03-21  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-manager: Added View->Expand All and Collapse All
	to address bug 108743
	* seahorse-key-widget: Bug fix in hash table removal

2003-03-20  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse.schemas.in: Added validity_threshold
	* seahorse-recipients: Removed recips property, removed Add All and
	Remove All, added validity checking using validity_threshold,
	added status bars for selection

2003-03-19  Jacob Perkins  <jap1@users.sourceforge.net>

	* src/Makefile.am: Patched to make freebsd-alpha port build.
	From: Akifyev Sergey <asa@gascom.ru>, Joe Marcus Clarke <marcus@freebsd.org>,
	Kris Kennaway <kris@obsecurity.org>
	* seahorse-key-store: Added ::get_key_from_model
	* seahorse-recipients: Simplified using seahorse_key_store_get_key_from_model,
	can use for recipients ops again

2003-03-18  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-properties: Make uid and entire notebook scrollable and have popup
	* seahorse-recipients: Can do multiple selection and every key at once

2003-03-14  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-widget: Updated internal hash to use seahorse_key_get_id()
	* seahorse-widget: Don't connect progress callback for key-manager
	* seahorse-key-manager: Only operations and key-list insensitive during progress,
	fixes bug 108386
	* seahorse-key: Format fingerprint, addresses bug 108306

2003-03-13  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse.schemas.in: Added missing column visibility schemas
	* seahorse-validity: Added DISABLED and REVOKED, removed sort function
	* seahorse-key-manager-store: Added Validity and Expires columns,
	added int columns to sort string columns
	* seahorse-preferences: Added toggles for Validity and Expires columns
	* seahorse-key: Added Disabled and Revoked options to ::get_validity
	* seahorse-encrypt-recipients-store: Updated to remove use of custom
	validity sort

2003-03-12  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-passphrase: Added change passphrase glade dialog & function
	to address bug 107408
	* seahorse-ops-key: Updated ::change_passphrase to use new dialog

2003-03-11  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context:
	* main:
	Moved gpgme_set_passphrase_cb from main to context::init
	* seahorse-passphrase: Created glade file, updated function to use,
	now prettier, addresses bug 107406

2003-03-09  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-preferences: Added options to change column visibility,
	no longer use seahorse_context_set_ascii_armor or seahorse_context_set_text_mode
	* seahorse-context: Removed use of gconf-client in favor of eel,
	removed ::set_ascii_armor and ::set_text_mode
	* seahorse-key-manager: Added disabled menu items for backup and
	generating a revocation certificate, also reorderd menu items
	* seahorse-import: OK not sensitive unless file exists or there is text
	* seahorse-ops-data: Updated ::import for when there are no keys imported

2003-03-08  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-properties: Bug fix when changing key, added tooltips,
	single user IDs don't have notebook, moved subkey buttons to own line
	* seahorse-key: Added ::get_fingerprint and ::get_id
	* seahorse-context: Updated to use seahorse_key_get_id,
	removed ::get_progress_update
	* seahorse-key-manager: Changed title as per bug #107411,
	use eel for preferences
	* seahorse-key-widget: Changed index property to accept up to GMAXUINT
	* seahorse-add-uid: OK not sensitive unless name length >= 5,
	don't check email address
	* seahorse-generate: OK not sensitive unless name length >= 5 and passphrase
	and confirmation aren't empty & match
	* seahorse-ops-key: ::add_uid doesn't check email, refined ::generate
	* seahorse-revoke: Changed title, added tooltips
	* seahorse-preferences: Added key manager tab
	* configure.in: Require eel-2.0
	* seahorse-key-store: Removed use of seahorse_context_get_progress_update
	* data/seahorse.schemas.in: Added column schemas
	* seahorse-key-manager-store: Shows columns based on preferences

2003-03-07  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-manager: Refined startup
	* seahorse-widget:
	* seahorse-key-widget:
	Removed ::new_component
	* seahorse-text-editor: No longer uses seahorse_widget_new_component
	* configure.in: Require gtk+-2.2
	* seahorse-key-properties: Moved to dialogs, now a property window,
	moved uids to own tab, added prefs to uids, subkeys are separate tabs,
	signatures part of primary key
	* seahorse-context: ::finalize doesn't list keys if are none

2003-03-06  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-widget: Removed component option/property

2003-03-05  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: Separated key-pair listing from non-pairs,
	removed some code duplication, changed signer methods to
	::(get|set)_default_key and use SeahorseKeyPair
	* seahorse-signer-menu-item: Uses SeahorseKeyPair instead of SeahorseKey
	* seahorse-key: Removed ::can_sign
	* seahorse-key-pair: Added ::can_sign
	* seahorse-signer-menu: Updated to use SeahorseKeyPair
	* seahorse-ops-key: Updated for context changes
	* data/seahorse.schemas.in: Changed default_key_id to default_key,
	updated description

2003-03-04  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-widget: Removed unnecessary callbacks

2003-03-03  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: Added gconf notification for preferences
	* data/seahorse.schemas.in: Added toolbar style & visibility and
	statusbar visibility schemas
	* seahorse-widget: Remove component progress code and callbacks
	* seahorse-key-manager: Added gconf notification and settings for
	toolbar style & visibility and statusbar visibility

	* Released 0.7.1

2003-03-02  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-manager: Added missing accelerators for menus,
	context menu pops up when press Shift-F10,
	added separator after Properties menu button
	* seahorse-generate:
	* seahorse-add-subkey:
	* seahorse-add-uid:
	* seahorse-sign:
	* seahorse-signatures:
	Fixed up defaults
	* seahorse-recipients: Made buttons insensitive when not available

2003-03-01  Jacob Perkins  <jap1@users.sourceforge.net>

	* data/seahorse.schemas.in: Added listing/progress_update schema
	* seahorse-context: Added ::get_progress_update, uses listing/progress_update
	setting for startup loading progress
	* seahorse-key-store: Use progress update setting for ::populate
	* seahorse-encrypt-sign-file:
	* seahorse-decrypt-verify-file:
	Added
	* seahorse-key-manager: Added support for encrypt & sign and decrypt & verify
	* seahorse-key-properties: Disable Add Revoker if not a pair,
	allow deletion on non-pair subkeys
	* seahorse-ops-key: Updated ::del_subkey to delete non-pair subkeys
	* seahorse-delete: Added extra dialog for deleting a key-pair
	* seahorse-widget: Don't insensitize widget for final progress call
	* seahorse-encrypt-file:
	* seahorse-sign-file:
	* seahorse-decrypt-file:
	* seahorse-verify-file:
	Added comments, made strings consistent

2003-02-28  Gregory Leblanc  <gleblanc@linuxweasel.com>

	* src/dialogs/seahorse-export.glade2: Changed Ok to Export
	* src/Makefile.am: changed fr-marshal.list to seahorse-marshal.list

2003-02-28  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: Removed status signal, removed ::key_has_secret,
	updated comments
	* seahorse-widget: Does progress bar cleanup when op complete,
	added comments
	* seahorse-key-properties:
	* seahorse-key-manager:
	* seahorse-text-editor:
	Removed focus-in-event
	* seahorse-key-manager:
	* seahorse-key-properties:
	Replaced seahorse_context_key_has_secret with SEAHORSE_IS_KEY_PAIR

2003-02-26  Jacob Perkins  <jap1@users.sourceforge.net>
	
	* seahorse-context: Bug fix in ::key_added

2003-02-25  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-marshal: Added
	* seahorse-context: Added ::show_progress and progress signal
	* seahorse-widget: Removed gpgme_progress_cb in favor of context
	progress signal, removed focus_in_event callback

2003-02-24  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-ops-file: More comments

2003-02-23  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-ops-data:
	* seahorse-ops-file:
	Added ::encrypt_sign, comments

2003-02-21  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: Completed key listing changes,
	uses SeahorseKeyPair
	* seahorse-key-pair: Added

2003-02-19  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: key listing happens on demand, not creation,
	added ::get_key_pairs for performance improvements
	* seahorse-signer-menu: uses seahorse-context::get_key_pairs

2003-02-18  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-sign-file:
	* seahorse-verify-file:
	Added
	* seahorse-key-manager: Updated to use new file ops

2003-02-17  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: Bug fix in ::set_ascii_armor
	* seahorse-key-manager: Added file ops to Tools Menu
	* seahorse-file-dialogs:
	* seahorse-encrypt-file:
	* seahorse-decrypt-file:
	Added
	* seahorse-file-manager: Removed

2003-02-16  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-properties: Made KeyIDs and Fingerprint selectable,
	updated for add-revoker
	* seahorse-ops-key: Added ::add_revoker
	* seahorse-key-manager: Updated for add-revoker
	* seahorse-key-dialogs: Added, removed all unecessary dialog headers

2003-02-15  Jacob Perkins  <jap1@users.sourceforge.net>

	* data/Makefile.am: Patch from Julio Merino for GConf2 tunnable features,
	fixes bug 106149
	* seahorse-sign: Added confirmation and info dialogs
	* seahorse-key-manager: Added Delete and Return accelerators
	* help/C/seahorse.xml: Replaced with new skeleton

2003-02-14  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-ops-key: Added EXPIRES option and state for ::sign
	* seahorse-sign: Added expires option for keys that expire

2003-02-12  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-widget: Added index property to SeahorseKeyWidget

2003-02-12  Evandro Fernandes Giovanini <evandrofg@ig.com.br>

	* configure.in: Added pt_BR to ALL_LINGUAS.

2003-02-12  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-manager: More interface updates, connect key op signals
	* seahorse-key-properties: Interface updates to be consistent with key-manager
	* seahorse-sign: Added
	* seahorse-ops-key: Added ::sign

2003-02-11  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-manager: Interface updates regarding comments from
	Mark Finlay: added context menu for keys, added buttons/items for
	possible but not-yet-implemented features

2003-02-10  Jacob Perkins  <jap1@users.sourceforge.net>

	* Release 0.7.0

2003-02-09  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-properties: View->Subkeys not visible if there are none
	* seahorse-passphrase: Bug fix

2003-02-08  Jacob Perkins  <jap1@users.sourceforge.net>

	* pixmaps/Makefile.am: Only install pixmaps to $(data_dir)/pixmaps
	* seahorse-widget: Set window icon to seahorse.png
	* seahorse-key-manager: Change path for seahorse.png in about dialog,
	add ::selection_changed to desensitize key options if none selected
	* src/seahorse-file-manager.glade2:
	* src/seahorse-key-manager.glade2:
	* src/seahorse-key-properties.glade2:
	* src/seahorse-text-editor.glade2:
	* src/dialogs/seahorse-add-subkey.glade2:
	* src/dialogs/seahorse-add-uid.glade2:
	* src/dialogs/seahorse-export.glade2:
	* src/dialogs/seahorse-generate.glade2:
	* src/dialogs/seahorse-import.glade2:
	* src/dialogs/seahorse-preferences.glade2:
	* src/dialogs/seahorse-recipients.glade2:
	* src/dialogs/seahorse-revoke.glade2:
	* src/dialogs/seahorse-signatures.glade2:
	Removed window icon since seahorse-widget is doing it

2003-02-07  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-export: OK button initially not sensitive: fixes bug #105301
	* seahorse-passphrase: Fixups borrowed from GPA

2003-02-05  Andras Timar  <timar@gnome.hu>

	* configure.in: Added hu (Hungarian) to ALL_LINGUAS.

2003-02-02  Jacob Perkins  <jap1@users.sourceforge.net>
	
	* seahorse-key: Added ::get_validity, ::get_trust
	* seahorse-validity: Added SeahorseValidity, removed all functions
	except ::get_string, added ::compare
	* seahorse-encrypt-recipients-store:
	* seahorse-key-manager-store:
	Updated for new SeahorseValidity, uses seahorse_validity_compare for sorting
	* seahorse-ops-key:
	* seahorse-key-properties:
	Updated for new SeahorseValidity
	* seahorse.desktop.in: Updated with StartupNotify & X-GNOME settings

2003-02-01  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-properties: Cleanup, string updates, added tooltips
	* seahorse-ops-key: State minimization for ::set_trust, ::del_subkey,
	::add_subkey
	* seahorse-generate:
	* seahorse-import:
	* seahorse-export:
	* seahorse-text-editor:
	String updates
	* seahorse-file-manager: Added same accelerators as text-editor's

2003-02-01  Jose Carlos Garcia Sogo <jsogo@debian.org>

	* configure.in: Fixed check for GnuPG and GpgME functions.

2003-01-31  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-ops-key: Fixed up ::add_subkey, added ::revoke_subkey
	* seahorse-revoke: Added
	* seahorse-key-properties: Updated to revoke subkeys,
	use new seahorse-delete, hide subkeys by default, show subkey status
	* seahorse-delete: Does primary and subkey deletion
	* seahorse-key-manager: Updated to use new seahorse-delete
	
	* Released 0.6.1

2003-01-30  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-manager-store: Show user IDs instead of subkeys,
	listen to SKEY_CHANGE_UIDS & refresh
	* seahorse-key-store: ::append_column returns the column,
	::init makes NAME column sortable
	* seahorse-ops-key: ::add_subkey fixups, added ::del_subkey,
	changed ::set_expires to accept an index for subkeys
	* seahorse-key-properties: Updated to do subkey deletion & subkey expires

2003-01-29  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-add-subkey: Added
	* seahorse-key-manager: Added patch from Jose to do about dialog
	* src/dialogs/about.glade2: Removed
	* seahorse-key-properties: Updated for add-subkey
	* seahorse-passphrase: Bug fix since cannot use r_hd for cleanup
	* seahorse-ops-key: Changed DSA_MIN to 768

2003-01-28  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-add-uid: Strings changes to be consistent with generate

2003-01-27  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-key-properties:
	* seahorse-generate:
	String changes so more consistent
	* seahorse-ops-key: Added ::add_subkey
	* seahorse-key: Added SKEY_CHANGE_SUBKEYS

2003-01-26  Jacob Perkins  <jap1@users.sourceforge.net>

	* seahorse-context: Made ::key_changed more efficient; comments

2003-01-25  Jose Carlos Garcia Sogo  <jsogo@debian.org>

	* configure.in: Check for GnuPG 1.2

2003-01-25  Jacob Perkins <jap1@users.sourceforge.net>

	* seahorse-signer-menu: Replaces key-menu, does all signer handling
	for preferences
	* seahorse-signer-menu-item: Replaces key-menu-item, handles key
	signals for signer-menu
	* seahorse-key-menu:
	* seahorse-key-menu-item:
	Removed
	* seahorse-preferences: Updated to use signer-menu
	* data/Makefile.am: Patch from Gregory Leblanc so schema installation
	is optional
	* seahorse-key-store: Set NAME column to allow sorting and sort at start

2003-01-24  Bastien Nocera  <hadess@hadess.net>

	* src/dialogs/seahorse-add-uid.glade2:
	* src/dialogs/seahorse-export.glade2:
	* src/dialogs/seahorse-generate.glade2:
	* src/dialogs/seahorse-import.glade2:
	* src/dialogs/seahorse-preferences.glade2:
	* src/dialogs/seahorse-recipients.glade2:
	* src/dialogs/seahorse-signatures.glade2:
	* src/seahorse-file-manager.glade2:
	* src/seahorse-key-manager.glade2:
	* src/seahorse-key-properties.glade2:
	* src/seahorse-text-editor.glade2: remove the separators, use
	automatic horizontal scrollbars, fix the spacing in dialogs,
	add an icon for all the windows
	* src/seahorse-widget.c: (seahorse_widget_set_property): fix a memleak

2003-01-24  Jacob Perkins <jap1@users.sourceforge.net>

	* seahorse-key-store: Fixes and cleanups so keys & context are
	correctly finalized by listening to context's destroy signal, comments
	* seahorse-key-manager: Modified ::quit to reflect key-store changes
	* seahorse-key-manager-store: Doesn't remove subkeys when refreshing
	* seahorse-recipients-store:
	* seahorse-encrypt-recipients-store:
	Updated all key-store subclasses for more efficient key change listening

2003-01-23  Jacob Perkins <jap1@users.sourceforge.net>

	* seahorse-encrypt-recipients-store: Added
	* seahorse-key-store:
	* seahorse-recipients-store:
	* seahorse-key-manager-store:
	Redesign of key stores for extendability and listening to key changes
	* seahorse-recipients: Modified to use new key-store setup,
	replaced general ::new with ::export_recipients_new and
	::encrypt_recipients_new, bug fixes
	* seahorse-file-manager:
	* seahorse-text-editor:
	Modified to use new recipients setup

2003-01-23  Jose Carlos Garcia Sogo <jsogo@debian.org>
	
	* configure.in: Added a working checking for GPGME 0.3.14 or greater
	in the 0.3.x branch (as in this branch API shouldn't change)
	* MANTAINERS: Added myself to this file to get bug reports.

2003-01-22  Jacob Perkins <jap1@users.sourceforge.net>

	* configure.in:
	* src/Makefile.am:
	Package updates from Jose
	* Patches from bug #104166

	* Released 0.6.0
	
	* seahorse-key: Added ::is_valid & ::can_encrypt; code cleanup & checks

2003-01-19  Jacob Perkins <jap1@users.sourceforge.net>

	* seahorse-recipients: Fixed bug by removing delete_event
	* seahorse-widget: Added assert for glade xml
	* seahorse-ops-key: Added to comments to ::delete; added ::add_uid
	& ::check_email; ::generate now checks email; general cleanups &
	gtk-doc comments
	* seahorse-generate: Checks email before generation, changed mnemonics
	* Added seahorse-add-uid
	* seahorse-file-manager:
	* seahorse-text-editor:
	* seahorse-key-manager:
	Added more tooltips
	* seahorse-key: Removed SeahorseKeyPrivate; ::num_uids & ::num_subkeys
	now calculate on demand; gtk-doc comments
	* seahorse-export: Listens to uid changes

2003-01-18  Jacob Perkins <jap1@users.sourceforge.net>

	* seahorse-context: Bug fix in ::new
	* seahorse-key-properties: Simplified/prepared for key edit ops with
	::do_uids & ::do_subkeys
	* seahorse-ops-key: Set key type numbers to correspond to gnupg;
	cleaned up & added checks to ::generate
	* seahorse-generate: Set length increments to multiples of 32,
	updated for new key types


2003-01-17  Jacob Perkins <jap1@users.sourceforge.net>

	* seahorse-widget:
	* seahorse-key-manager:
	Display help contents
	* seahorse-text-editor:
	Changed 'Clear Sign' to 'Clear Text Sign'
	* added .cvsignore to all dirs

2003-01-16  Jacob Perkins <jap1@users.sourceforge.net>

	* seahorse-text-editor:
	* seahorse-file-manager:
	String cleanups

2003-01-15  Jacob Perkins <jap1@users.sourceforge.net>

	* ChangeLog:
	* NEWS:
	* README:
	* README.cvs:
	* THANKS:
	* TODO:
	Updated docs to be more standards compliant, added more info,
	updated version
	* seahorse-key-manager-store: bug fix so don't list primary key twice
	* Makefile.am:
	* seahorse.spec.in:
	Removed MAINTAINERS

2003-01-15  Jean Schurger <yshark@schurger.org>
	* Makefine.am: Add MAINTAINERS
	* seahorse.spec.in: Merge my original spec file with the
	Yanko Kaneti one (see %changelog) 

2003-01-13  Jacob Perkins <jap1@users.sourceforge.net>

	* Removed unecessary translation macros

2003-01-10  Jacob Perkins <jap1@users.sourceforge.net>
	
	* seahorse-key-widget: Added hash table ensure only one dialog of each
	type per key
	* seahorse-key-properties:
	* seahorse-export:
	modified to check if already have dialog
	* seahorse-context: Changed to GtkObject for destroy signal,
	re-added ::destroy
	* seahorse-widget: added ::new_allow_multiple for signatures,
	listens to context destroy signal
	* seahorse-signatures: now a widget using
	seahorse-widget::new_allow_multiple; no longer can show key properties,
	shows uid & keyid of signer
	* seahorse-key-manager-store: Changed 'Algorithm' to 'Type'

2003-01-09  Jacob Perkins <jap1@users.sourceforge.net>
	
	* seahorse-ops-key: Moved SeahorseKeyType & SeahorseKeyLength from
	seahorse-key
	* seahorse-context: Removed ::destroy since only unrefs,
	more GpgmeKey unrefs
	* seahorse-widget: Added hash table so only dialog per type will be
	shown, bug fixes
	* Various bug fixes, mem leak cleanups
	* Added delete event callback to all dialogs
	* Added check to all non-key widgets if null

2003-01-07  Jacob Perkins <jap1@users.sourceforge.net>
	
	* seahorse-key-properties: Uses labels if property is not editable,
	removed uneditable properties, removed ::key_changed
	* seahorse-passphrase: More checks so less crashes

2003-01-06  Jacob Perkins <jap1@users.sourceforge.net>
	
	* seahorse-context: Fixed bug sf#658788, added ::set_ascii_armor,
	::set_text_mode, ::set_signer, ::get_signer
	* seahorse-preferences: Removed unecessary pref management since
	moved to context
	* seahorse-key-menu: Doesn't add keys it shouldn't
	* seahorse.schemas -> seahorse.schemas.in
	* seahorse-signatures: No longer extends widget
